uses crt, modex, xlbm;
{$i amd-music.inc}
{$i gifont.inc}
{$i sprite_p.inc}              {Sprite Palette}
{$i pexel_pa.inc}              {Pexel Palette}
var My_Screen : pointer;
    My_ScreenS, My_ScreenO : word;
type Color = record
     R,B,G : Byte;
     end;
var ColorTable : array[0..80] of Color;
    ColorTableLength : Byte;
    Pexel_Screen:pbuft;
    ColorOffset, ColorDelay : word;
    Giana_Spr : array[0..10] of pointer;
    Little_Star : pointer;
    Little_Star_X, Little_Star_Y : array[0..16] of word;
    Little_Star_dy : array[0..16] of shortint;
    Level : pointer;
    Star_Animation_Color : array[0..11,0..13] of Byte;
    Fire_Animation_Color : array[0..8,0..8] of Byte;
    Spike_Animation_Color : array[0..11,0..7] of Byte;
    Enemy_Sprite : array[0..6,0..10] of pointer; {Sprite_Type, AnimationCounter}
    Enemy_Sprite_X : array[0..32] of longint;
    Enemy_Sprite_Y : array[0..32] of word;
    Enemy_Sprite_dx : array[0..32] of shortint;
    Enemy_Sprite_dy : array[0..32] of shortint;
    Enemy_Sprite_Type : array[0..32] of Byte;
    Enemy_Sprite_AnimCounter : array[0..32] of Byte;
    Enemy_Sprite_DieCounter : array[0..32] of word;
    Enemy_Sprite_JumpCounter : array[0..32] of Byte;
    Jump_Table : array[0..255] of Byte; {Ballsprung Koordinaten}
    Palette_Type : Byte; {Gibt an, was fr eine Farbpalette}
    Status_Line1 : pointer;
    Status_Line2 : pointer;

    {Level ist Y-Zeilenweise aufgebaut, jeweil 25 Bytes, also
    Pexel = x*25+y  -  Levelgre:40*25*10}
const PexelX : word = 0;
      PexelY : word = 0;
      Current_Pexel : word = 0;
      Level_Offset : word = 0;
      Star_Animation : Byte = 0;
      Spike_Animation : Byte = 0;
      Scroll_X : Byte = 0;
      Actual_Level : Byte = 1;
      Bonus : Byte = 0;
      Lives : word = 3;
procedure SetIntVec(IntNo: Byte; Vector: Pointer); assembler;
asm
   push ds
   mov ah, $25
   mov al, IntNo
   lds dx, Vector
   int $21
   pop ds
end;
procedure GetIntVec(IntNo: Byte; var Vector: Pointer);
var _es, _bx:word;
begin
     asm
        mov ah, $35
        mov al, IntNo
        int $21
        mov _es, es
        mov _bx, bx
     end;
     Vector := ptr(_es,_bx);
end;

Procedure SetAllPal(Var Palette);
var i : Byte;
begin
     {Asm
     push   ds
     lds    si, Palette
     mov    dx, 3c8h
     mov    al, 0
     out    dx, al
     inc    dx
     mov    cx, 768
     rep    outsb
     pop    ds
     End;}
     for i := 0 to 16 do
         set_dac_register(i+1,Pexel_Pal[i*3+2+Palette_Type*48],
                             Pexel_Pal[i*3+1+Palette_Type*48],
                             Pexel_Pal[i*3+Palette_Type*48]);
     for i := 0 to 16 do
         set_dac_register(i+$40,Sprite_Pal[i*3+2],
                             Sprite_Pal[i*3+1],
                             Sprite_Pal[i*3]);
end;
procedure PrintChar_P(p:pointer;ch:char;x,y:word;col:Byte);
var FontOffset : word;
    i,j:Byte;
    ActualChar1 : Byte;
begin
     ActualChar1 := ord(ch);
     if ActualChar1 <= 71 then FontOffset := (ord(ActualChar1)-32)*8
     else FontOffset := (ord(ActualChar1)-72)*8+2560;
     inc(FontOffset,787);
     for i := 0 to 7 do for j := 0 to 7 do
         if GIFont[FontOffset+i*320+j] <> 0 then
         Mem[Seg(p^):Ofs(p^)+x+i*320+j] := col else Mem[Seg(p^):Ofs(p^)+x+i*320+j] := 0;
end;
procedure Print_P(p:pointer;txt:string;x,y:word;Col:Byte);
var i : word;
begin
     for i := 0 to 320*2 do MemL[Seg(p^):Ofs(P^)+i*4] := 0;
     for i := 1 to length(Txt) do PrintChar_P(p,txt[i],(i-1)*8+x,y,Col);
end;

procedure Do_Color;
begin
     inc(ColorDelay);
     if ColorDelay = 4 then
        begin
             {Color Effekt of Box}
             ColorDelay := 0;
             ColorOffset := (ColorOffset + 1) mod ColorTableLength;
             set_dac_register(200,
                  ColorTable[(ColorOffset)].R,
                  ColorTable[(ColorOffset)].G,
                  ColorTable[(ColorOffset)].B);
        end;
end;
const Animation_Delay:Byte=0;
      Star_dx : shortint = 1;
      Fire_Animation : Byte=0;
var   Back_R, Back_G, Back_B : Byte;
      Star_R, Star_G, Star_B : Byte;
procedure Do_Star_Animation;
var i:Byte;

begin
     inc(Animation_Delay);
     if Animation_Delay mod 8 = 0 then
     begin
          if Palette_Type > 0 then
          begin
               Back_R := 0; Back_G := 0; Back_B := 0;
               if Palette_Type > 1 then
               begin
                    Star_R := 32; Star_G := 17; Star_B := 17;
               end
               else begin Star_R := 24; Star_G := 17; Star_B := 0; end;
          end
          else
          begin
               Back_R := 25; Back_G := 33; Back_B := 57;
               Star_R := 24; Star_G := 17; Star_B := 0;
          end;

          {Color Effekt of Stars}
          inc(Star_Animation,Star_dx);
          if Star_Animation = 3 then Star_dx := -1;
          if Star_Animation = 0 then Star_dx := 1;
          for i := 0 to 13 do
          begin
               if Star_Animation_Color[Star_Animation*3,i] > 0 then
                  set_dac_register(Star_Animation_Color[Star_Animation*3,i],58,58,25);
               if Star_Animation_Color[Star_Animation*3+1,i] > 0 then
                  set_dac_register(Star_Animation_Color[Star_Animation*3+1,i],42,34,9);
               if Star_Animation_Color[Star_Animation*3+2,i] > 0 then
                  set_dac_register(Star_Animation_Color[Star_Animation*3+2,i],Star_R,Star_G,Star_B);
          end;
     end;
     if Animation_Delay mod 8 = 1 then
     begin
          {Color Effekt of Fire}
          Fire_Animation := (Fire_Animation+1) mod 3;
          for i := 0 to 7 do
          begin
               if Fire_Animation_Color[Fire_Animation*3,i] > 0 then
                  set_dac_register(Fire_Animation_Color[Fire_Animation*3,i],49,9,17);
               if Fire_Animation_Color[Fire_Animation*3+1,i] > 0 then
                  set_dac_register(Fire_Animation_Color[Fire_Animation*3+1,i],39,9,9);
               if Fire_Animation_Color[Fire_Animation*3+2,i] > 0 then
                  set_dac_register(Fire_Animation_Color[Fire_Animation*3+2,i],Back_R,Back_G,Back_B);
          end;
     end;
     if Animation_Delay mod 10 = 2 then
     begin
          {Spikes}
          Spike_Animation := (Spike_Animation +1) mod 4;
          for i := 0 to 7 do
          begin
               if Spike_Animation_Color[Spike_Animation*3,i] > 0 then
                  set_dac_register(Spike_Animation_Color[Spike_Animation*3,i],Back_R,Back_G,Back_B);
               if Spike_Animation_Color[Spike_Animation*3+1,i] > 0 then
                  set_dac_register(Spike_Animation_Color[Spike_Animation*3+1,i],25,25,28);
               if Spike_Animation_Color[Spike_Animation*3+2,i] > 0 then
                  set_dac_register(Spike_Animation_Color[Spike_Animation*3+2,i],63,63,63);

          end;
     end;
end;
procedure Draw_Pexel(n,x,y:word);
var x_p,y_p,i:word;
    p:pointer;
    Offset:word;
begin
     y_p := n div 40;
     x_p := n mod 40;
     Offset := y_p*8*320+x_p*8;
     for i := 0 to 7 do
     begin
          p := ptr(Seg(Pexel_Screen^),Ofs(Pexel_Screen^)+Offset+i*320);
          draw_bitmap(p,20+x*8,20+y*8+i,8,1);
     end;
end;

procedure Draw_Virtual_Pexel(n,x,y:word);
var x_p,y_p,i:word;
    p:pointer;
    Offset:word;
begin
     if x > 39 then exit;
     y_p := n div 40;
     x_p := n mod 40;
     Offset := y_p*8*320+x_p*8;
     for i := 0 to 7 do
     begin
          {p := ptr(Seg(Pexel_Screen^),Ofs(Pexel_Screen^)+Offset+i*320);
          draw_bitmap(p,20+x*8,20+y*8+i,8,1);}
          MemL[My_ScreenS:My_ScreenO+x*8+((y*8)+i)*320-Scroll_X] := MemL[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+i*320];
          MemL[My_ScreenS:My_ScreenO+x*8+((y*8)+i)*320+4-Scroll_X] :=
              MemL[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+i*320+4];
     end;
end;
procedure Draw_Border(Level_Offset:word;Scroll_X:Byte);
var Offset,x_p,y_p : word;
    Current_Pexel,i,j :Byte;
begin
     if Scroll_X <> 1 then
     begin
     for i := 0 to 24 do
     begin
          if Scroll_X > 0 then
          Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+40*25+i]
          else Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+39*25+i];
          y_p := Current_Pexel div 40;
          x_p := Current_Pexel mod 40;
          Offset := y_p*8*320+x_p*8+(Scroll_X+6) mod 8;
          for j := 0 to 7 do MemW[My_ScreenS:My_ScreenO+i*8*320+318+j*320] :=
              MemW[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+j*320];
     end;
     end
     else
     begin
     for i := 0 to 24 do
     begin
          {Erst Border "7" Zeichen}
          Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+39*25+i];

          y_p := Current_Pexel div 40;
          x_p := Current_Pexel mod 40;
          Offset := y_p*8*320+x_p*8+7;
          for j := 0 to 7 do Mem[My_ScreenS:My_ScreenO+i*8*320+318+j*320] :=
              Mem[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+j*320];
          {Dann Border "0" Zeichnen}
          Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+40*25+i];
          y_p := Current_Pexel div 40;
          x_p := Current_Pexel mod 40;
          Offset := y_p*8*320+x_p*8+0;
          for j := 0 to 7 do Mem[My_ScreenS:My_ScreenO+i*8*320+319+j*320] :=
              Mem[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+j*320];
     end;
     end;
end;
const Up : boolean = false;
      Left : boolean = false;
      Right: boolean = false;
      Up_Release : boolean = false;
      pressed_1 : boolean = false;
      pressed_2 : boolean = false;
      ctrl_pressed : boolean = false;
      space_pressed : boolean = false;
var OldInt9 : procedure;
procedure NewInt9; interrupt;
var ScanCode : Byte;
begin
     ScanCode := port[96];
     case ScanCode of
          $48 : Up := true;
          $c8 : begin Up := false; Up_Release := true; end;
          $4d : begin Right := true; Left := false; end;
          $cd : Right := false;
          $4b : begin Left := true; Right := false; end;
          $cb : Left := false;
          $02 : pressed_1 := true;
          $82 : pressed_1 := false;
          $03 : pressed_2 := true;
          $83 : pressed_2 := false;
          $1d : ctrl_pressed := true;
          $9d : ctrl_pressed := false;
          $39 : space_pressed := true;
          $b9 : space_pressed := false;
          end;
     asm pushf end;
     OldInt9;
end;
function Clear_Star(Level_Offset,SprX,SprY:word):boolean;
var a,i:Byte;
begin
     {Prfen auf Kollision Rechte Obere Ecke Sprite mit Diamand}
     Clear_Star := false;
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25];
     for i := 0 to 2 do
          if a = 85+i then
          begin
               Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-25*i] := 80;
               Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+25-25*i] := 81;
               Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+50-25*i] := 82;
               Draw_Virtual_Pexel(80,(SprX-00) div 8-i,(SprY-20) div 8);
               Draw_Virtual_Pexel(81,(SprX-00) div 8+1-i,(SprY-20) div 8);
               Draw_Virtual_Pexel(82,(SprX-00) div 8+2-i,(SprY-20) div 8);
               Draw_Virtual_Pexel(40,(SprX-00) div 8-i,(SprY-20) div 8-1);
               Draw_Virtual_Pexel(41,(SprX-00) div 8+1-i,(SprY-20) div 8-1);
               Draw_Virtual_Pexel(42,(SprX-00) div 8+2-i,(SprY-20) div 8-1);
               Clear_Star := true;
          end;
end;
procedure Clear_Diamond(Level_Offset,SprX,SprY:word);
var a:Byte;
begin
     {Prfen auf Kollision Linke Obere Ecke Sprite mit Diamand}
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25];
     {unten links berhrt}
     if a = 83 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+25] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8-1);
     end;
     {unten rechts}
     if a = 84 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-26] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-25] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8-1);
     end;
     {oben links}
     if a = 43 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+26] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8+1);
     end;
     {oben rechts}
     if a = 44 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+1] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8+1);
     end;

     {Prfen auf Kollision Rechte Obere Ecke Sprite mit Diamand}
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25];
     {unten links berhrt}
     if a = 83 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+25] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8-1);
     end;
     {unten rechts}
     if a = 84 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-26] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-25] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8-1);
     end;
     {oben links}
     if a = 43 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+26] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8+1);
     end;
     {oben rechts}
     if a = 44 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+1] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8+1);
     end;

end;
function Pexel_under_Sprite(Level_Offset,SprX,SprY:word):word;
var a,b,c:Byte;
begin
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25];
     b := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+25];
     c := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+50];
     if a in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,85..87,106..109] then a := 0;
     if b in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,85..87,106..109] then b := 0;
     if c in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,85..87,106..109] then c := 0;
     Pexel_under_Sprite := a+b+c;
end;
function Pexel_right2_Sprite(Level_Offset,SprX,SprY:word):word;
var a,b:Byte;
begin
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+24];
     b := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+24+1];
     if a in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,106..109] then a := 0;
     if b in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,106..109] then b := 0;
     Pexel_right2_Sprite := a+b;
end;
function Get_Pexel(Level_Offset,SprX,SprY:word):Byte;
var a:Byte;
begin
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25];
     if a in [48..53,88..93,134..155,174..195,214..235,99] then a := 0;
     Get_Pexel := a;
end;
const Sprites_DelayCounter:Byte=0;
var   tmp_pointer : pointer;
procedure Draw_Sprites_in_Game;
var i,j:word;
    Spr_X, Spr_Y : integer;
    S, O: word;
begin
     inc(Sprites_DelayCounter);
     for i := 0 to 31 do
          if Enemy_Sprite_AnimCounter[i] < 255 then
          begin
               if Enemy_Sprite_X[i] = 0 then
               begin {Umdrehen}
                    Enemy_Sprite_dx[i] := -Enemy_Sprite_dx[i];
                    {Sprite x-flipped nehmen}
                    if Enemy_Sprite_Type[i] in [1,3,4] then
                    Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+5) mod 10;
               end;
               if not (Enemy_Sprite_AnimCounter[i] in [4,9,255]) then inc(Enemy_Sprite_x[i],Enemy_Sprite_dx[i]);
               {Prfen, da Sprites auf Boden bleiben}
               if Enemy_Sprite_Type[i] in [0,1,2,3,5] then
                if (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+3]
                  in [48..53,88..93,134..155,174..195,214..235,99,0,8..10]) or
                  (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+3+75]
                  in [48..53,88..93,134..155,174..195,214..235,99,0,8..10]) or
                  {Sprites drfen nicht durch Wnde gehen}
                  (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+2]
                  in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                     30..32,168..173,73..74]) or
                  (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+2+75]
                  in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                     30..32,168..173,73..74])
                  then begin
                            Enemy_Sprite_dx[i] := -Enemy_Sprite_dx[i];
                            if Enemy_Sprite_Type[i] in [1,3,5] then
                            Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+5) mod 10;
                  end;
               {Sonderbehandlung Biene}
               if Enemy_Sprite_Type[i] = 4 then
               begin
                    {Biene dreht um bei Kollision mit Wand}
                    if (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+1]
                       in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                           30..32,168..173,128..133,20..23,73..74]) or
                       (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+1+75]
                       in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                           30..32,168..173,128..133,20..23,73..74])
                       then begin
                            Enemy_Sprite_dx[i] := -Enemy_Sprite_dx[i];
                            Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+5) mod 10;
                       end;
                    {Biene strzt ab, wenn draufgesprungen}
                    if (Enemy_Sprite_AnimCounter[i] in [4,9]) and (Enemy_Sprite_Y[i] < 179) then
                    begin
                         if Enemy_Sprite_DieCounter[i] < 4 then inc(Enemy_Sprite_Y[i],1)
                            else if Enemy_Sprite_DieCounter[i] < 16 then inc(Enemy_Sprite_Y[i],2)
                                 else if Enemy_Sprite_DieCounter[i] < 32 then inc(Enemy_Sprite_Y[i],4)
                                      else inc(Enemy_Sprite_Y[i],8);
                         {Wenn Sprite aus Bildschirm raus, dann abschalten (setze unmgliche X-Koordinate)}
                         if Enemy_Sprite_Y[i] >= 179 then Enemy_Sprite_X[i] := 500000;
                         if Enemy_Sprite_DieCounter[i] < 65535 then inc(Enemy_Sprite_DieCounter[i]);
                    end;
               end;

               Spr_X := Enemy_Sprite_X[i]-(Level_Offset div 25)*8+20-Scroll_X;
               Spr_Y := Enemy_Sprite_Y[i]+20+6;

               {Sonderbehandlung Jump-Ball}
               if Enemy_Sprite_Type[i] = 6 then
               begin
                    inc(Enemy_Sprite_JumpCounter[i]);
                    Spr_Y := Enemy_Sprite_Y[i]+20+6-Jump_Table[Enemy_Sprite_JumpCounter[i]];
               end;


               if Sprites_DelayCounter mod 10 = 0 then
               begin
                  if not (Enemy_Sprite_AnimCounter[i] in [4,9,255]) then
                  begin
                     {geht nach links?}
                     if Enemy_Sprite_AnimCounter[i] in [0..3] then
                        Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+1) mod 4;
                     {ansonsten x-flipped}
                     if Enemy_Sprite_AnimCounter[i] in [5..8] then
                        Enemy_Sprite_AnimCounter[i] := 5+((Enemy_Sprite_AnimCounter[i]+2) mod 4);
                  end;
               end;
               {Prfen ob in Bildschirmbereich}
               if (Enemy_Sprite_X[i]+24 > (Level_Offset div 25)*8) and
                  (Enemy_Sprite_X[i] < (Level_Offset div 25)*8+320) then
                  begin
                       if (Spr_X < 20) and (Spr_X > -4) then
                       begin {Clipping links?}
                            S := seg(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            O := ofs(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            for j := 0 to 17 do
                            begin
                                tmp_pointer := ptr(S,O+(20-Spr_X)+j*24);
                                tdraw_bitmap(tmp_pointer,20,Spr_Y+j,Spr_X+4,1);
                            end;
                       end {Clipping rechts?}
                       else if (Spr_X > 316) and (Spr_X < 340) then
                       begin
                            S := seg(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            O := ofs(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            for j := 0 to 17 do
                            begin
                                tmp_pointer := ptr(S,O+j*24);
                                tdraw_bitmap(tmp_pointer,Spr_X,Spr_Y+j,340-Spr_X,1);
                            end;
                       end
                       else if (Spr_X >= 20) and (Spr_X <= 316) then
                        tdraw_bitmap(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]],
                               Spr_X,Spr_Y,24,18);
                  end;
          end;

end;
procedure Play_Level;
var i,x,y:word;
    Active_Page,b : Byte;
    Pexel:Byte;
    Level_Offset_Bak : word;
    Scroll_Speed : word;

    SprX : word;
    SprY : integer;
    EnemyX,EnemyY : integer;
    dy,dyn,dx    : shortint;
    Wait_Counter, Wait_Counter2 : Byte;
    Anim_Counter, Anim_Wait : Byte;
    Anim_dx : shortint;
    Jump : boolean;
    Live_Lost : boolean;
    Level_Completed : boolean;
    Score : longint;
    Level_Backup : pointer;
    Backup_Sprite_X : array[0..31] of longint;
    Backup_Sprite_Y : array[0..31] of word;
    Backup_Sprite_dx : array[0..31] of shortint;
    Backup_Sprite_dy : array[0..31] of shortint;
    Time_Counter : word;
    Score_S, Bonus_S, Lives_S, Stage_S, Time_S :string;
    Time : Byte;
    Live_Lost_Times : Byte;
begin
     getmem(Level_Backup,10000);
     {Save Level}
     for i := 0 to 10000 div 4 do
         MemL[Seg(Level_Backup^):Ofs(Level_Backup^)+i*4] := MemL[Seg(Level^):Ofs(Level^)+i*4];
     {Noch keine Animation}
     for i := 0 to 16 do
     begin Little_Star_X[i] := 0; Little_Star_Y[i] := 0; Little_Star_dy[i] := -127; end;
     {Backup Sprite-Positionen}
     for i := 0 to 31 do
     begin
          Backup_Sprite_X[i] := Enemy_Sprite_X[i];
          Backup_Sprite_Y[i] := Enemy_Sprite_Y[i];
          Backup_Sprite_dx[i] := Enemy_Sprite_dx[i];
          Backup_Sprite_dy[i] := Enemy_Sprite_dy[i];
          Enemy_Sprite_DieCounter[i] := 65535;
          Enemy_Sprite_JumpCounter[i] := random(255);
     end;
     {Noch kein Leben verloren, wichtig fr Sound-Init bei Sterbephase}
     Live_Lost_Times := 0;
     {Create Status-Line}
     Time_Counter := 30; Time := 60; Bonus := 0;
     print_p(Status_Line1,'   GIANA   BONUS   LIVES  STAGE  TIME',0,0,12);
     str(Lives:2,Lives_S);
     str(Actual_Level:2,Stage_S);

     {Init Adlib-card}
     if Palette_Type <> 1 then Musik.Song := @music1
     else Musik.Song := @music2;
     asm
           push   ds
           push   es
           les    di,Musik.MyBuff
           lds    si,Musik.Song
           mov    al, 1
           call   _InitAdlib
           pop    es
           pop    ds
     end;

     asm cli end;
     GetIntVec(9,@OldInt9);
     SetIntVec(9,@NewInt9);
     asm sti end;
     for i := 0 to 1 do
     begin
          set_active_page(i);
          clear_vga_screen(0);
     end;
     Live_Lost := false; Level_Completed := false;
     Score := 0;
     Level_Offset_Bak := Level_Offset; Scroll_X := 0; Scroll_Speed := 0;
     SprX := 20; SprY := 20; dy := 0; dx := 0;
     Anim_Counter := 0; Anim_Wait := 0; Anim_dx := 1;

     Up := false; Left := false; right := false; Jump := false;
     Jump := false; Up_Release := true;

     {set_active_page(0);
     fill_block(10,0,12,360,255);
     print_str('CPU-USAGE',20,5,255,0);
     set_active_page(1);
     fill_block(10,0,12,360,255);
     print_str('CPU-USAGE',20,5,255,0);}

     for y := 0 to 24 do
         for x := 0 to 39 do
         begin
              Pexel := Mem[Seg(Level^):Ofs(Level^)+y+x*25+Level_Offset];
              Draw_Virtual_Pexel(Pexel,x,y);
         end;
     Active_Page := 0;
     repeat
           {Tastaturpuffer lschen}
           asm cli end;
           MemW[$40:$1a] := MemW[$40:$1C];
           asm sti end;
           {Boden unter den Fen erkannt}
           if (Pexel_under_Sprite(Level_Offset,SprX+Scroll_X+3,SprY+24) > 0) and
              (SprY > 20) and (Live_Lost = false) then
           begin dy := 0; SprY := (SprY-20) div 8*8+20; Jump := false; end
           else if Wait_Counter mod 10 = 0 then
           begin
                dyn := 4;
                Jump := true;
                if Up then
                begin
                     case dy of
                          -4 : dyn := -2;
                          -2 : dyn := -1;
                          -1 : if SprY mod 2 = 0 then dyn := 0;
                           0 : dyn := 1;
                           1 : if SprY mod 2 = 0 then dyn := 2;
                           2 : dyn := 4;
                     end;
                end
                else
                begin
                     case dy of
                          -4 : dyn := -1;
                          -2 : dyn := 0;
                          -1 : if SprY mod 2 = 0 then dyn := 0;
                           0 : dyn := 1;
                           1 : if SprY mod 2 = 0 then dyn := 2;
                           2 : dyn := 4;
                     end;
                end;
                dy := dyn;
           end;

           {Folgende Komponenten nur prfen wenn am Leben}
           if Live_Lost = false then
           begin
           {Sprungkraft verringen wenn kein "Hoch" mehr}
           if (not Up) and (dy < -2) then begin dy := -2; Wait_Counter := 7; end;
           {Neuer Sprung erkannt}
           if Up and (Pexel_under_Sprite(Level_Offset,SprX+Scroll_X+2,SprY+24) > 0) and Up_Release then
              begin dy := -4; Wait_Counter := 0; Jump := true; Up_Release := false; end;
           {Sprung gegen Decke erkannt}
           if (Pexel_under_Sprite(Level_Offset,SprX+Scroll_X+2,SprY) > 0) and (SprY >= 20) then
           begin
                dy := 1; Wait_Counter := 9;
                {if Right then inc(SprX,dx);
                if Left and (SprX > 24) then inc(SprX,dx);}
           end;
           end; {of if (Live_Lost = false)}

           {Level sollte scrollen? Scroll-Speed setzen}
           if (SprX > 160+20) and (mem[Seg(Level^):Ofs(Level^)+Level_Offset+25*40] <> 255)
           then begin if dx > 0 then Scroll_Speed := dx; SprX := 160+20; end
           else Scroll_Speed := 0;


           {Geschwindigkeit x-Richtung}
           if (Live_Lost = false) then
           begin
                if right and (Wait_Counter2 mod 8 = 0) and (dx < 2) and (SprX < 315) then inc(dx);
                if left and (Wait_Counter2 mod 8 = 0) and (dx > -2) then dec(dx);
                if (not right) and (not left) and (dx <> 0) and (Wait_Counter2 mod 8 = 0) then
                begin
                     if dx < 0 then inc(dx) else dec(dx)
                end;
           end;

           {Nicht nach links raus aus Screen rennen}
           if (SprX < 22) and (dx < 0) then begin SprX := 20; dx := 0; end;
           {Nicht nach rechts aus Screen rennen}
           if (SprX > 315) and (dx > 0) then begin SprX := 315; dx := 0; end;

           {Nicht nach rechts/links in Wand rennen}
           {rechts geg. Wand}
           if (dx > 0) and (SprY > 20) then
           if (Pexel_Right2_Sprite(Level_Offset,SprX+Scroll_X+12+dx,SprY+16) <> 0) then dx := 0;
           {links geg. Wand}
           if (dx < 0) and (SprY > 20) then
           if (Pexel_Right2_Sprite(Level_Offset,SprX+Scroll_X+dx-6,SprY+16) <> 0) then dx := 0;

           {Animation Giana Sprite}
           if dx = 0 then
           begin
                if Anim_Counter >= 5 then Anim_Counter := 5
                else Anim_Counter := 0;
           end;
           if (dx > 0) and (Anim_Wait mod 6 =0) and (not Jump) then
           begin
                if not (Anim_Counter in [1..3]) then Anim_Counter := 1;
                if Anim_Counter = 1 then Anim_dx := 1;
                if Anim_Counter = 3 then Anim_dx := -1;
                inc(Anim_Counter,Anim_dx);
           end;
           if (dx < 0) and (Anim_Wait mod 6 =0) and (not Jump) then
           begin
                if not (Anim_Counter in [6..8]) then Anim_Counter := 6;
                if Anim_Counter = 6 then Anim_dx := 1;
                if Anim_Counter = 8 then Anim_dx := -1;
                inc(Anim_Counter,Anim_dx);
           end;
           if Right and (dx < 0) then Anim_Counter := 3;
           if Left and (dx > 0) then Anim_Counter := 8;

           if Jump and (Anim_Counter < 5) then Anim_Counter := 4;
           if Jump and (Anim_Counter >= 5) then Anim_Counter := 9;

           if Jump and Right then Anim_Counter := 4;
           if Jump and Left then Anim_Counter := 9;

           {Prfen ob Leben verloren-nur wenn noch am Leben}
           if (SprY > 200) then Live_Lost := true;

           if SprY >= 20 then begin
           {Wasser}
           if Get_Pexel(Level_Offset,SprX+Scroll_X+2,SprY+24)
              in [8..11] then Live_Lost := true;
           {Feuer}
           if (Get_Pexel(Level_Offset,SprX+8,SprY+23) in [60..63,100..103]) or
              (Get_Pexel(Level_Offset,SprX+16,SprY+23) in [60..63,100..103])
              then Live_Lost := true;
           {Rote Spitze}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X,SprY+23) in [157,196..198,236..238]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+12,SprY+23) in [157,196..198,236..238])
               then Live_Lost := true;
           {Spikes}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X+2,SprY+23) in [106..109]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+23) in [106..109])
               then Live_Lost := true;
           {Level vorbei = Pexel 255}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X+2,SprY+23) or
              Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+23))
              = 255 then Level_Completed := true;

           {Prfen auf Bonus-nur wenn noch am Leben}
           if (Live_Lost = false) then
           begin
           {Diamant oben berhrt?}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X,SprY+04) in [43,44,83,84]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+04) in [43,44,83,84]) then
           begin
                inc(Score,100); inc(Bonus);
                Clear_Diamond(Level_Offset,SprX,SprY+04);
           end else
           {Diamant mit Fssen berhrt?}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X,SprY+20) in [43,44,83,84]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+20) in [43,44,83,84]) then
           begin
                inc(Score,100); inc(Bonus);
                Clear_Diamond(Level_Offset,SprX,SprY+20);
           end;
           {Prfen auf Stern}
           if (Get_Pexel(Level_Offset,SprX-Scroll_X,SprY) in [85..87]) or
               (Get_Pexel(Level_Offset,SprX+8-Scroll_X,SprY) in [85..87]) or
               (Get_Pexel(Level_Offset,SprX+16-Scroll_X,SprY) in [85..87]) then
           begin
                 if Clear_Star(Level_Offset,SprX,SprY) then
                 begin
                      inc(Score,200); inc(Bonus);
                      dy := 1;
                      Wait_Counter := 9;
                      {Freien Little_Star fr Animation suchen}
                      for i := 0 to 15 do
                           if little_star_dy[i] = -127 then
                           begin
                                little_star_dy[i] := -3;
                                little_star_x[i] := SprX+12;
                                little_star_y[i] := SprY-16;
                                i := 15;
                           end;
                 end;
           end;
           end; {of if (Live_Lost = false)}
           end; {of if (SprY >= 20)}

           {Kleine Sterne bewegen}
           for i := 0 to 15 do
                if little_star_dy[i] > -127 then
                begin
                     dec(Little_star_X[i],Scroll_Speed);
                     if Wait_Counter mod 5 = 0 then if little_star_dy[i] < 6 then inc(little_star_dy[i]);
                     inc(little_star_y[i],little_star_dy[i]);
                     if (little_star_y[i] > 200) or (little_star_x[i] < 20)
                        then little_star_dy[i] := -127;
                     if (little_star_y[i] > 20) and (little_star_y[i] < 222)
                        then tdraw_bitmap(Little_Star,Little_star_X[i],Little_Star_Y[i],8,8);
                end;

           SprY := SprY+dy;
           SprX := SprX+dx;
           Wait_Counter:=(Wait_Counter+1) mod 20;
           inc(Wait_Counter2);
           inc(Anim_Wait);
           Active_Page := (Active_Page + 1) mod 2;
           set_active_page(Active_Page);
           if Scroll_Speed > 0 then
           asm
               push ds
               mov bx, Scroll_Speed
               mov ax, My_ScreenS
               mov es, ax
               mov di, My_ScreenO

               mov ds, ax
               mov si, di
               add si, bx
               cld
               mov cx, 160*200
               rep movsw
               pop ds
           end;

           inc(Scroll_X,Scroll_Speed);
           if Scroll_X >= 8 then
           begin
                Scroll_X := Scroll_X mod 8;
                inc(Level_Offset,25);
                if Level_Offset > 25*40*9 then
                begin
                     Set_active_page(0);
                     clear_vga_screen(0);
                     set_display_page(0);
                     exit;
                end;
           end;
           {Weggescrollten Border auf Virtual Screen zeichnen}
           Draw_Border(Level_Offset,Scroll_X);
           {Virtual screen nach ModeX kopieren}
           draw_bitmap(My_Screen,20,20,320,200);

           {Gegner zeichnen}
           Draw_Sprites_In_Game;
           {Abfrage Kollision mit Gegnern}
           if (Live_Lost = false) then
           for i := 0 to 31 do
               if Enemy_Sprite_AnimCounter[i] in [0..3,5..8] then
               begin
                    EnemyX := Enemy_Sprite_X[i]-(Level_Offset div 25)*8+20-Scroll_X;
                    EnemyY := Enemy_Sprite_Y[i]+20+6;
                    {Sonderbehandlung Jump-Ball}
                    if Enemy_Sprite_Type[i] = 6 then EnemyY := Enemy_Sprite_Y[i]+20+6-Jump_Table[Enemy_Sprite_JumpCounter[i]];
                    {Draufgesprungen?}
                    if (abs(EnemyX-SprX) < 16) and                {Nur erlaubt bei spez. Gegnern}
                       (abs(EnemyY-18-SprY) < 8) and (dy > 0) and (Enemy_Sprite_Type[i] in [0,1,2,3,4]) then
                       begin
                            {Wenn nach oben gedrckt, dann gibt Monster Schwung}
                            if Up then begin dy := -4; Up_release := false; end else dy := -2;
                            if Enemy_Sprite_AnimCounter[i] < 4 then Enemy_Sprite_AnimCounter[i] := 4
                               else Enemy_Sprite_AnimCounter[i] := 9;
                            Wait_Counter := 1;
                            Enemy_Sprite_DieCounter[i] := 0;
                       end
                    else
                    {Kollision mit Todesfolge?}
                    if (abs(EnemyX-SprX) < 20) and
                       (abs(EnemyY-SprY) < 16) then Live_Lost := true;
               end;

           {Giana Sprite Y-Clipping}
           if (Live_Lost = false) then
           begin
                {if SprY >= 20 then tdraw_bitmap(Giana_Spr[Anim_Counter],SprX,SprY,24,24)
                else if SprY+4 > 0 then tdraw_bitmap(ptr(Seg(Giana_Spr[Anim_Counter]^),
                     Ofs(Giana_Spr[Anim_Counter]^)+24*(20-SprY)),SprX,20,24,SprY+4);}
                if (SprY >= 20) and (SprY < 198) then tdraw_bitmap(Giana_Spr[Anim_Counter],SprX,SprY,24,24)
                else if SprY >= 20 then
                begin {Unten Clipping}
                     if SprY < 220 then tdraw_bitmap(Giana_Spr[Anim_Counter],SprX,SprY,24,220-SprY)
                end   {Oben Clipping}
                else if SprY+4 > 0 then tdraw_bitmap(ptr(Seg(Giana_Spr[Anim_Counter]^),
                     Ofs(Giana_Spr[Anim_Counter]^)+24*(20-SprY)),SprX,20,24,SprY+4);
           end
           else
           begin
                if (SprY >= 20) and (SprY < 198) then tdraw_bitmap(Giana_Spr[10],SprX,SprY,24,24)
                else if SprY >= 20 then
                begin {Unten Clipping}
                     if SprY < 220 then tdraw_bitmap(Giana_Spr[10],SprX,SprY,24,220-SprY)
                end   {Oben Clipping}
                else if SprY+4 > 0 then tdraw_bitmap(ptr(Seg(Giana_Spr[10]^),
                     Ofs(Giana_Spr[10]^)+24*(20-SprY)),SprX,20,24,SprY+4);
           end;

           {Color Animations}
           Do_Star_Animation;
           {Status Line}
           if (Bonus+1) mod 100 = 0 then
           begin
                Bonus := 0;
                inc(Lives);
                str(Lives:2,Lives_S);
           end;
           Time_Counter := (Time_Counter+1) mod 60;
           if Time_Counter = 0 then dec(Time);
           tdraw_bitmap(Status_Line1,20,21,320,7);
           str(Score:6,Score_S); str(Bonus:2,Bonus_S);
           str(Time:2,Time_S);
           print_p(Status_Line2,'  '+Score_S+'      '+Bonus_S+'    '+Lives_S+'      '+Stage_S+'     '+Time_S,
            0,0,12);
           tdraw_bitmap(Status_Line2,20,29,320,8);

           {Frisch gestorben? Dann sterbemusik starten und hochspringen?}
           if (Live_Lost_Times = 0) and (Live_Lost) then
           begin
                dy := -4; dx := 0; Wait_Counter := 1;
                Live_Lost_Times := 1;
                Musik.Song := @diesound;
                asm
                   push   ds
                   push   es
                   les    di,Musik.MyBuff
                   lds    si,Musik.Song
                   mov    al, 1
                   call   _InitAdlib
                   pop    es
                   pop    ds
                end;
           end;
           {Adlib-music}
            asm
                 push   ds
                 push   es
                 les    di,Musik.MyBuff
                 lds    si,Musik.Song
                 xor    al,al
                 call   _Adlibplayer
                 pop    es
                 pop    ds
            end;
           set_dac_register(255,0,0,0);
           set_display_page(Active_Page mod 2);
           set_dac_register(255,63,63,63);
     until (port[96] = 1) or (Live_Lost and (SprY > 220)) or Level_Completed;
     repeat until port[96] <> 1;
     asm cli end;
     SetIntVec(9,@OldInt9);
     asm sti end;
     while keypressed do readkey;
     {Free adlib-card}
     asm
           call   _StopAdlib
     end;

     {Restore Level}
     for i := 0 to 10000 div 4 do
         MemL[Seg(Level^):Ofs(Level^)+i*4] := MemL[Seg(Level_Backup^):Ofs(Level_Backup^)+i*4];
     {Reanimation von Sprites}
     for i := 0 to 31 do
     begin
          Enemy_Sprite_X[i] := Backup_Sprite_X[i];
          Enemy_Sprite_Y[i] := Backup_Sprite_Y[i];
          Enemy_Sprite_dx[i] := Backup_Sprite_dx[i];
          Enemy_Sprite_dy[i] := Backup_Sprite_dy[i];
          if Enemy_Sprite_X[i] > 0 then Enemy_Sprite_AnimCounter[i] := 0;
     end;

     Clear_Vga_Screen(0);
     Level_Offset := Level_Offset_Bak;
     freemem(Level_Backup,10000); Scroll_X := 0;
end;
procedure Title_Screen;
var i,x,y:word;
    Active_Page : Byte;
    Pexel:Byte;
    Level_Offset : word;
    Scroll_X : word;
    Text_X : Byte;
    Text_Pos : Byte;
    Status2_S, Status2_O : word;
const Text:string = '-   GRAPHICS BY KYP   -   MUSIC BY DEEJAY99/KB   -   CODE BY MYTH    -   '
                   +'LEVELS BY DEEJAY99/KYP/MYTH/SHINE   ';
begin
     clear_vga_screen(0);
     set_active_page(0);
     asm cli end;
     GetIntVec(9,@OldInt9);
     SetIntVec(9,@NewInt9);
     asm sti end;
     Level_Offset := 0; Scroll_X := 0; Pressed_1 := false; Pressed_2 := false;
     Text_X := 0; Text_Pos := 1;
     {Status-Line}
     print_p(Status_Line1,'PRESS "1" OR "2" FOR ONE-PLAYER GAME',0,0,12);

     for y := 0 to 24 do
         for x := 0 to 39 do
         begin
              Pexel := Mem[Seg(Level^):Ofs(Level^)+y+x*25+0];
              Draw_Virtual_Pexel(Pexel,x,y);
         end;
     Active_Page := 0; Status2_S := seg(Status_Line2^); Status2_O := Ofs(Status_Line2^);
     fillChar(Status_Line2^,320*8,0); ctrl_pressed := false;
     Musik.Song := @titmus;
     asm
           push   ds
           push   es
           les    di,Musik.MyBuff
           lds    si,Musik.Song
           mov    al, 1
           call   _InitAdlib
           pop    es
           pop    ds
     end;

     repeat
           Active_Page := (Active_Page + 1) mod 2;
           set_active_page(Active_Page);
           do_star_animation;
           asm
               push ds
               mov ax, My_ScreenS
               mov es, ax
               mov di, My_ScreenO

               mov ds, ax
               mov si, di
               add si,2
               cld
               mov cx, 160*200
               rep movsw

               mov ax, Status2_S
               mov es, ax
               mov di, Status2_O

               mov ds, ax
               mov si, di
               inc si
               cld
               mov cx, 160*8
               rep movsw
               pop ds
               push ds
                 push   es
                 les    di,Musik.MyBuff
                 lds    si,Musik.Song
                 xor    al,al
                 call   _Adlibplayer
                 pop    es

               pop ds
           end;
           inc(Scroll_X,2);
           if Scroll_X >= 8 then
           begin
                Scroll_X := Scroll_X mod 8;
                inc(Level_Offset,25);
                if Mem[Seg(Level^):Ofs(Level^)+Level_Offset+40*25]=255 then Level_Offset := 65536-39*25;
           end;
           inc(Text_X);
           if Text_X >= 8 then
           begin
                Text_X := 0;
                inc(Text_Pos);
                if Text_Pos > length(Text) then Text_Pos := 1;
           end;
           printchar_p( ptr(seg(Status_Line2^),Ofs(Status_Line2^)+318-Text_X),text[text_pos],0,0,12);
           Draw_Border(Level_Offset,Scroll_X);
           draw_bitmap(My_Screen,20,20,320,200);
           tdraw_bitmap(Status_Line1,40,21,320,8);
           tdraw_bitmap(Status_Line2,16,38,320,8);
           fill_block(16,38,16+8,38+8,0);
           set_display_page(Active_Page mod 2);
     until (port[96] = 1) or pressed_1 or pressed_2 or ctrl_pressed;
     asm cli end;
     SetIntVec(9,@OldInt9);
     {Free adlib-card}
     asm
         sti
         call   _StopAdlib
     end;

end;

procedure Display_Help;
var ch:char;
begin
     set_dac_register(253,0,0,40);
     set_dac_register(254,0,30,40);
     Clear_Vga_Screen(0);
     draw_line(0,17,359,17,255);
     draw_line(0,18,359,18,254);
     fill_block(0,19,359,27,253);
     tprint_str('HELP PAGE',140,20,255);
     draw_line(0,28,359,28,254);
     draw_line(0,29,359,29,255);
     tprint_str('<ENTER>     Select pexel',20,40,255);
     tprint_str('<SPACE>     Place pexel',20,40+1*8,255);
     tprint_str('<PAGE UP>   Scroll level to the left',20,40+2*8,255);
     tprint_str('<PAGE DOWN> Scroll level to the right',20,40+3*8,255);
     tprint_str('<F9>        Load level',20,40+4*8,255);
     tprint_str('<F10>       Save level',20,40+5*8,255);
     tprint_str('<U>         Undo last pexel',20,40+6*8,255);
     tprint_str('<P>         Play Level',20,40+7*8,255);
     tprint_str('<F2>        Erase Sprites from level',20,40+8*8,255);
     tprint_str('<F3>        Select Level Palette',20,40+9*8,255);
     tprint_str('<INS>       Insert complete row into level',20,40+10*8,255);
     tprint_str('<SHIFT+1>   Place monster #1',20,40+11*8,255);
     tprint_str('<SHIFT+2>   Place monster #2 ... up to',20,40+12*8,255);
     tprint_str('<SHIFT+7>   Place monster #7',20,40+13*8,255);
     tprint_str('Try out macro-keys: s,S,b,B,a,w,W,1,2,3,4',20,40+15*8,255);
     tprint_str('CREATING THE END OF A LEVEL:',20,40+19*8,255);
     tprint_str('Touching Pexel 255 is Level Completed!',20,40+20*8,255);
     tprint_str('Placing Pexel 255 at Y-Position 0 means',20,40+21*8,255);
     tprint_str('level will scroll no more!',20,40+22*8,255);
     tprint_str('Pexel 98 and 99 are passable!',20,40+23*8,255);
     ch := readkey;
     Clear_Vga_Screen(0);
     setallpal(LbmPalette);
end;
procedure Erase_Sprites;
var ch:char;
    i:Byte;
begin
     set_dac_register(253,0,0,40);
     set_dac_register(254,0,30,40);
     Clear_Vga_Screen(0);
     draw_line(0,17,359,17,255);
     draw_line(0,18,359,18,254);
     fill_block(0,19,359,27,253);
     tprint_str('ERASE SPRITES',130,20,255);
     draw_line(0,28,359,28,254);
     draw_line(0,29,359,29,255);
     tprint_str('Are you sure, erase all sprite-data?',30,40+7*8,255);
     tprint_str('[Y/N]',160,40+15*8,255);
     repeat
           ch := upcase(readkey);
     until ch in ['Y','N'];
     if ch = 'Y' then
     for i := 0 to 31 do
     begin
          Enemy_Sprite_X[i] := 0;
          Enemy_Sprite_Y[i] := 0;
          Enemy_Sprite_dx[i] := 0;
          Enemy_Sprite_dy[i] := 0;
          Enemy_Sprite_Type[i] := 0;
          Enemy_Sprite_AnimCounter[i] := 255;
     end;

     Clear_Vga_Screen(0);
     setallpal(LbmPalette);
end;
procedure Select_PexelPal;
var ch:char;
    i:Byte;
begin
     set_dac_register(253,0,0,40);
     set_dac_register(254,0,30,40);
     Clear_Vga_Screen(0);
     draw_line(0,17,359,17,255);
     draw_line(0,18,359,18,254);
     fill_block(0,19,359,27,253);
     tprint_str('SELECT PEXEL-PALETTE',110,20,255);
     draw_line(0,28,359,28,254);
     draw_line(0,29,359,29,255);
     tprint_str('Press "1","2","3" or "4" for Palette-Type',20,40+7*8,255);
     repeat
           ch := upcase(readkey);
     until ch in ['1'..'4'];
     Palette_Type := ord(ch)-49;
     Clear_Vga_Screen(0);
     setallpal(LbmPalette);
end;

procedure Save_Level;
var i,w:word;
    name:string;
    f:file of Byte;
    b:Byte;
    ch:char;
begin
     set_text;
     for i := 1 to 80 do write('');
     writeln('GIANA SISTERS LEVEL EDITOR v0.1b      SAVE LEVEL ');
     for i := 1 to 80 do write('');
     writeln;
     write('SAVE LEVEL AS: ');
     readln(Name);
     if Name = '' then begin set_modex(6); setallpal(LbmPalette);exit; end;
     Assign(f,Name);
     {$i-}
     reset(f);
     if Ioresult = 0 then
     begin
          write(#13#10,'WARNING: FILE ALREADY EXISTS, OVERWRITE (Y/N)?');
          repeat
                ch := upcase(readkey);
          until ch in ['Y','N'];
          if ch = 'N' then
          begin
               close(f);
               set_modex(6);
               setallpal(LbmPalette);
               exit;
          end;
          writeln;
     end;
     rewrite(f);
     {$i+}
     if ioresult <> 0 then
     begin
          writeln(#13#10,'ERROR: UNABLE TO SAVE FILE: ',name,#13);
          readkey;
          set_modex(6);
          setallpal(LbmPalette);
          exit;
     end;
     write(#13#10,'Saving');
     write('Palette-Type...');
     write(f,Palette_Type);
     writeln('OK.');
     write('Sprite-Data...');
     for i := 0 to 31 do
     begin
          b := Enemy_Sprite_Type[i];
          {Spritetype 100 fr schnelle Biene}
          if (b = 4) and (Enemy_Sprite_dx[i] = -2) then b := 100;
          write(f,b);
          if Enemy_Sprite_X[i] > 0 then
          begin
               w := Enemy_Sprite_X[i] div 8;
               b := Hi(w);
               write(f,b);
               b := Lo(w);
               write(f,b);
               b := Enemy_Sprite_Y[i] div 8;
               write(f,b);
          end
          else
          begin
               {Sprite nicht aktiviert, dann Rest mit Nullen fllen}
               b := 0;
               write(f,b);
               write(f,b);
               write(f,b);
          end;
     end;
     writeln('DONE.');
     write('Level-Data');
     {Level-Data}
     for i := 0 to 40*25*10-1 do
     begin
          b := Mem[Seg(Level^):Ofs(Level^)+i];
          write(f,b);
          if i mod 500 = 0 then write('.');
     end;
     close(f);
     writeln;
     set_modex(6);
     setallpal(LbmPalette);
end;
procedure Save_Level_Final;
var i,w:word;
    name:string;
    f:file of Byte;
    b:Byte;
    ch:char;
begin
     set_text;
     for i := 1 to 80 do write('');
     writeln('GIANA SISTERS LEVEL EDITOR v0.1b      SAVE FINAL LEVEL (NOT LOADABLE)');
     for i := 1 to 80 do write('');
     writeln;
     write('SAVE LEVEL AS: ');
     readln(Name);
     if Name = '' then begin set_modex(6); setallpal(LbmPalette);exit; end;
     Assign(f,Name);
     {$i-}
     reset(f);
     if Ioresult = 0 then
     begin
          write(#13#10,'WARNING: FILE ALREADY EXISTS, OVERWRITE (Y/N)?');
          repeat
                ch := upcase(readkey);
          until ch in ['Y','N'];
          if ch = 'N' then
          begin
               close(f);
               set_modex(6);
               setallpal(LbmPalette);
               exit;
          end;
          writeln;
     end;
     rewrite(f);
     {$i+}
     if ioresult <> 0 then
     begin
          writeln(#13#10,'ERROR: UNABLE TO SAVE FILE: ',name,#13);
          readkey;
          set_modex(6);
          setallpal(LbmPalette);
          exit;
     end;
     write(#13#10,'Saving');
     write('Palette-Type...');
     write(f,Palette_Type);
     writeln('OK.');
     write('Sprite-Data...');
     for i := 0 to 31 do
     begin
          b := Enemy_Sprite_Type[i];
          {Spritetype 100 fr schnelle Biene}
          if (b = 4) and (Enemy_Sprite_dx[i] = -2) then b := 100;
          write(f,b);
          if Enemy_Sprite_X[i] > 0 then
          begin
               w := Enemy_Sprite_X[i] div 8;
               b := Hi(w);
               write(f,b);
               b := Lo(w);
               write(f,b);
               b := Enemy_Sprite_Y[i] div 8;
               write(f,b);
          end
          else
          begin
               {Sprite nicht aktiviert, dann Rest mit Nullen fllen}
               b := 0;
               write(f,b);
               write(f,b);
               write(f,b);
          end;
     end;
     writeln('DONE.');
     write('Level-Data');
     {Level-Data}
     for i := 0 to 40*25*10-1 do
     begin
          b := Mem[Seg(Level^):Ofs(Level^)+i];
          write(f,b);
          if (b = 255) and (i mod 25 = 0) then
          begin
             for w := 0 to 50 do
             begin
                  inc(i);
                  b := Mem[Seg(Level^):Ofs(Level^)+i];
                  write(f,b);
             end;
             i := 40*25*10-1;
          end;
     end;
     close(f);
     writeln;
     set_modex(6);
     setallpal(LbmPalette);
end;

procedure Load_Level_Fast(s:string);
var f:file of Byte;
    b,b_h,b_l:Byte;
    i:word;
begin
     Assign(f,s);
     reset(f);
     if filesize(f) = 10000 then
     begin
          for i := 0 to 40*25*10-1 do
          begin
               read(f,b);
               Mem[Seg(Level^):Ofs(Level^)+i] := b;
          end;
     end
     else
     begin
          read(f,Palette_Type);
          setallpal(lbmPalette);
          for i := 0 to 31 do
          begin
               read(f,b);
               Enemy_Sprite_Type[i] := b;
               read(f,b_h);
               read(f,b_l);
               Enemy_Sprite_X[i] := (b_h*256+b_l)*8;
               read(f,b);
               Enemy_Sprite_Y[i] := b*8;
               if Enemy_Sprite_X[i] > 0 then Enemy_Sprite_AnimCounter[i] := 0
                  else Enemy_Sprite_AnimCounter[i] := 255;
               Enemy_Sprite_dx[i] := -1;
               Enemy_Sprite_dy[i] := 0;
               {Spritetype 100 fr schnelle Biene}
               if Enemy_Sprite_Type[i] = 100 then
               begin
                    Enemy_Sprite_Type[i] := 4; {wieder Biene}
                    Enemy_Sprite_dx[i] := -2;
               end;
               {Spritetype 6 (Jump-Ball bleibt stehen)}
               if Enemy_Sprite_Type[i] = 6 then Enemy_Sprite_dx[i] := 0;

          end;
          for i := 0 to 40*25*10-1 do
          begin
               read(f,b);
               Mem[Seg(Level^):Ofs(Level^)+i] := b;
          end;
     end;
     close(f);
end;
procedure Load_Level;
var i:word;
    name:string;
    f:file of Byte;
    b,b_h,b_l:Byte;

begin
     set_text;
     for i := 1 to 80 do write('');
     writeln('GIANA SISTERS LEVEL EDITOR v0.1b      LOAD LEVEL ');
     for i := 1 to 80 do write('');
     writeln;
     write('LOAD LEVEL: ');
     readln(Name);
     if Name = '' then begin set_modex(6); setallpal(LbmPalette);exit; end;
     Assign(f,Name);
     {$i-}
     reset(f);
     {$i+}
     if IOResult <> 0 then
     begin
          writeln(#13#10,'ERROR: UNABLE TO OPEN FILE: ',name,#13);
          readkey;
          set_modex(6);
          setallpal(LbmPalette);
          exit;
     end;
     write(#13#10,'Loading ');
     if filesize(f) <= 10000 then
     begin
          write('level without sprites');
          for i := 0 to 40*25*10-1 do
          begin
               read(f,b);
               Mem[Seg(Level^):Ofs(Level^)+i] := b;
               if i mod 500 = 0 then write('.');
          end;
          for i := 0 to 31 do
          begin
               Enemy_Sprite_AnimCounter[i] := 255;
               Enemy_Sprite_X[i] := 0;
               Enemy_Sprite_Y[i] := 0;
               Enemy_Sprite_Type[i] := 0;
          end;
     end
     else
     begin
          write('LEVEL v2.0 WITH SPRITES');
          read(f,Palette_Type);
          for i := 0 to 31 do
          begin
               read(f,b);
               Enemy_Sprite_Type[i] := b;
               read(f,b_h);
               read(f,b_l);
               Enemy_Sprite_X[i] := (b_h*256+b_l)*8;
               read(f,b);
               Enemy_Sprite_Y[i] := b*8;
               if Enemy_Sprite_X[i] > 0 then Enemy_Sprite_AnimCounter[i] := 0
                  else Enemy_Sprite_AnimCounter[i] := 255;
               Enemy_Sprite_dx[i] := -1;
               Enemy_Sprite_dy[i] := 0;
               {Spritetype 100 fr schnelle Biene}
               if Enemy_Sprite_Type[i] = 100 then
               begin
                    Enemy_Sprite_Type[i] := 4; {wieder Biene}
                    Enemy_Sprite_dx[i] := -2;
               end;
               {Spritetype 6 (Jump-Ball bleibt stehen)}
               if Enemy_Sprite_Type[i] = 6 then Enemy_Sprite_dx[i] := 0;
          end;
          for i := 0 to 40*25*10-1 do
          begin
               read(f,b);
               Mem[Seg(Level^):Ofs(Level^)+i] := b;
               if i mod 500 = 0 then write('.');
          end;
     end;
     close(f);
     writeln;
     set_modex(6);
     setallpal(LbmPalette);
end;
procedure Init_Mem;
var i,j:word;
begin
     New(Pexel_Screen);
     getmem(Status_Line1,320*8);
     getmem(Status_Line2,320*8);

     getmem(Level,40*25*10);
     for i := 0 to 40*25*10 do Mem[Seg(Level^):Ofs(Level^)+i] := 0;
     getmem(My_Screen,64000);
     My_ScreenS := Seg(My_Screen^); My_ScreenO := Ofs(My_Screen^);

     for i := 0 to 11 do for j := 0 to 13 do Star_Animation_Color[i,j] := 0;
     for i := 0 to 8 do for j := 0 to 8 do Fire_Animation_Color[i,j] := 0;
     for i := 0 to 11 do for j := 0 to 7 do Spike_Animation_Color[i,j] := 0;

     for i := 0 to 31 do
     begin
          Enemy_Sprite_AnimCounter[i] := 255;
          Enemy_Sprite_X[i] := 0;
          Enemy_Sprite_Y[i] := 0;
          Enemy_Sprite_Type[i] := 0;
     end;
     {Set Star-Colors}
     {Groer Stern}
             {Gold}
     Star_Animation_Color[0,0] := $f1;
     Star_Animation_Color[0,1] := $f3;
     Star_Animation_Color[0,2] := $f2;
     Star_Animation_Color[0,3] := $f7;
     Star_Animation_Color[0,4] := $f8;
     Star_Animation_Color[0,5] := $e4;
     Star_Animation_Color[0,6] := $00;
             {Dunkel Gold}
     Star_Animation_Color[1,0] := $f0;
     Star_Animation_Color[1,1] := $f5;
     Star_Animation_Color[1,2] := $fe;
     Star_Animation_Color[1,3] := $e3;
     Star_Animation_Color[1,4] := $00;
             {Dunkel}
     Star_Animation_Color[2,0] := $f6;
     Star_Animation_Color[2,1] := $f9;
     Star_Animation_Color[2,2] := $fa;
     Star_Animation_Color[2,3] := $fb;
     Star_Animation_Color[2,4] := $fc;
     Star_Animation_Color[2,5] := $fd;
     Star_Animation_Color[2,6] := $e0;
     Star_Animation_Color[2,7] := $e1;
     Star_Animation_Color[2,8] := $e2;
     Star_Animation_Color[2,9] := $00;

     {Stern 2}
             {Gold}
     Star_Animation_Color[3,0] := $f2;
     Star_Animation_Color[3,1] := $f5;
     Star_Animation_Color[3,2] := $f7;
     Star_Animation_Color[3,3] := $f8;
     Star_Animation_Color[3,4] := $fd;
     Star_Animation_Color[3,5] := $fe;
     Star_Animation_Color[3,6] := $e3;
     Star_Animation_Color[3,7] := $e4;
     Star_Animation_Color[3,8] := $00;
             {Dunkel Gold}
     Star_Animation_Color[4,0] := $f3;
     Star_Animation_Color[4,1] := $f6;
     Star_Animation_Color[4,2] := $e2;
     Star_Animation_Color[4,3] := $00;
             {Dunkel}
     Star_Animation_Color[5,0] := $f1;
     Star_Animation_Color[5,1] := $f0;
     Star_Animation_Color[5,2] := $f9;
     Star_Animation_Color[5,3] := $fa;
     Star_Animation_Color[5,4] := $fb;
     Star_Animation_Color[5,5] := $fc;
     Star_Animation_Color[5,6] := $e0;
     Star_Animation_Color[5,7] := $e1;
     Star_Animation_Color[5,8] := $00;

     {Stern 3}
            {Gold}
     Star_Animation_Color[6,0] := $fc;
     Star_Animation_Color[6,1] := $fd;
     Star_Animation_Color[6,2] := $fe;
     Star_Animation_Color[6,3] := $e1;
     Star_Animation_Color[6,4] := $e2;
     Star_Animation_Color[6,5] := $e3;
     Star_Animation_Color[6,6] := $e4;
     Star_Animation_Color[6,7] := $00;
            {Dunkel Gold}
     Star_Animation_Color[7,0] := $f8;
     Star_Animation_Color[7,1] := $fb;
     Star_Animation_Color[7,2] := $e0;
     Star_Animation_Color[7,3] := $00;
            {Dunkel}
     Star_Animation_Color[8,0] := $f1;
     Star_Animation_Color[8,1] := $f3;
     Star_Animation_Color[8,2] := $f2;
     Star_Animation_Color[8,3] := $f0;
     Star_Animation_Color[8,4] := $f5;
     Star_Animation_Color[8,5] := $f6;
     Star_Animation_Color[8,6] := $f7;
     Star_Animation_Color[8,7] := $f9;
     Star_Animation_Color[8,8] := $fa;
     Star_Animation_Color[8,9] := $00;

     {Stern 4}
            {Gold}
     Star_Animation_Color[9,0] := $fa;
     Star_Animation_Color[9,1] := $fb;
     Star_Animation_Color[9,2] := $fc;
     Star_Animation_Color[9,3] := $fd;
     Star_Animation_Color[9,4] := $fe;
     Star_Animation_Color[9,5] := $00;
            {Dunkel Gold}
     Star_Animation_Color[10,0] := $f9;
     Star_Animation_Color[10,1] := $00;
            {Dunkel}
     Star_Animation_Color[11,0] := $f1;
     Star_Animation_Color[11,1] := $f3;
     Star_Animation_Color[11,2] := $f2;
     Star_Animation_Color[11,3] := $f0;
     Star_Animation_Color[11,4] := $f5;
     Star_Animation_Color[11,5] := $f6;
     Star_Animation_Color[11,6] := $f7;
     Star_Animation_Color[11,7] := $f8;
     Star_Animation_Color[11,8] := $e0;
     Star_Animation_Color[11,9] := $e1;
     Star_Animation_Color[11,10] := $e2;
     Star_Animation_Color[11,11] := $e3;
     Star_Animation_Color[11,12] := $e4;
     Star_Animation_Color[11,13] := $00;

     {Feuer Animation}
     {Animation #1 - Color1}
     Fire_Animation_Color[00,00] := $22;
     Fire_Animation_Color[00,01] := $25;
     Fire_Animation_Color[00,02] := $26;
     Fire_Animation_Color[00,03] := $2a;
     Fire_Animation_Color[00,04] := $2f;
     Fire_Animation_Color[00,05] := $32;
     Fire_Animation_Color[00,06] := $36;
     Fire_Animation_Color[00,07] := $38;

     {Animation #1 - Color2}
     Fire_Animation_Color[01,00] := $20;
     Fire_Animation_Color[01,01] := $21;
     Fire_Animation_Color[01,02] := $27;
     Fire_Animation_Color[01,03] := $29;
     Fire_Animation_Color[01,04] := $2c;
     Fire_Animation_Color[01,05] := $30;
     Fire_Animation_Color[01,06] := $31;
     Fire_Animation_Color[01,07] := $33;

     {Animation #1 - Color3}
     Fire_Animation_Color[02,00] := $23;
     Fire_Animation_Color[02,01] := $24;
     Fire_Animation_Color[02,02] := $2b;
     Fire_Animation_Color[02,03] := $2d;
     Fire_Animation_Color[02,04] := $2e;
     Fire_Animation_Color[02,05] := $34;
     Fire_Animation_Color[02,06] := $35;
     Fire_Animation_Color[02,07] := $37;

     {Animation #2 - Color1}
     Fire_Animation_Color[03,00] := $20;
     Fire_Animation_Color[03,01] := $24;
     Fire_Animation_Color[03,02] := $26;
     Fire_Animation_Color[03,03] := $29;
     Fire_Animation_Color[03,04] := $31;
     Fire_Animation_Color[03,05] := $32;
     Fire_Animation_Color[03,06] := $37;

     {Animation #2 - Color2}
     Fire_Animation_Color[04,00] := $22;
     Fire_Animation_Color[04,01] := $23;
     Fire_Animation_Color[04,02] := $27;
     Fire_Animation_Color[04,03] := $2a;
     Fire_Animation_Color[04,04] := $2c;
     Fire_Animation_Color[04,05] := $2d;
     Fire_Animation_Color[04,06] := $2e;
     Fire_Animation_Color[04,07] := $2f;
     Fire_Animation_Color[04,08] := $34;

     {Animation #2 - Color3}
     Fire_Animation_Color[05,00] := $21;
     Fire_Animation_Color[05,01] := $25;
     Fire_Animation_Color[05,02] := $2b;
     Fire_Animation_Color[05,03] := $30;
     Fire_Animation_Color[05,04] := $33;
     Fire_Animation_Color[05,05] := $35;
     Fire_Animation_Color[05,06] := $36;
     Fire_Animation_Color[05,07] := $38;

     {Animation #3 - Color1}
     Fire_Animation_Color[06,00] := $27;
     Fire_Animation_Color[06,01] := $20;
     Fire_Animation_Color[06,02] := $22;
     Fire_Animation_Color[06,03] := $33;
     Fire_Animation_Color[06,04] := $34;
     Fire_Animation_Color[06,05] := $24;
     Fire_Animation_Color[06,06] := $35;

     {Animation #3 - Color2}
     Fire_Animation_Color[07,00] := $26;
     Fire_Animation_Color[07,01] := $23;
     Fire_Animation_Color[07,02] := $21;
     Fire_Animation_Color[07,03] := $29;
     Fire_Animation_Color[07,04] := $2a;
     Fire_Animation_Color[07,05] := $2b;
     Fire_Animation_Color[07,06] := $25;
     Fire_Animation_Color[07,07] := $38;

     {Animation #2 - Color3}
     Fire_Animation_Color[08,00] := $2c;
     Fire_Animation_Color[08,01] := $2d;
     Fire_Animation_Color[08,02] := $2e;
     Fire_Animation_Color[08,03] := $2f;
     Fire_Animation_Color[08,04] := $30;
     Fire_Animation_Color[08,05] := $31;
     Fire_Animation_Color[08,06] := $32;
     Fire_Animation_Color[08,07] := $36;
     Fire_Animation_Color[08,08] := $37;
     {Spikes}
     {Animation #1 - Color 1}
     Spike_Animation_Color[00,00] := $b3;
     Spike_Animation_Color[00,01] := $b4;
     Spike_Animation_Color[00,02] := $ba;
     Spike_Animation_Color[00,03] := $bb;
     Spike_Animation_Color[00,04] := $be;
     Spike_Animation_Color[00,05] := $bf;
     Spike_Animation_Color[00,06] := $c0;
     Spike_Animation_Color[00,07] := $c1;
     {Animation #1 - Color 2}
     Spike_Animation_Color[01,00] := $b1;
     Spike_Animation_Color[01,01] := $b5;
     Spike_Animation_Color[01,02] := $b7;
     Spike_Animation_Color[01,03] := $b9;
     {Animation #1 - Color 3}
     Spike_Animation_Color[02,00] := $b0;
     Spike_Animation_Color[02,01] := $b2;
     Spike_Animation_Color[02,02] := $b6;
     Spike_Animation_Color[02,03] := $b8;
     Spike_Animation_Color[02,04] := $bc;
     Spike_Animation_Color[02,05] := $bd;
     Spike_Animation_Color[02,06] := $c2;
     Spike_Animation_Color[02,07] := $c3;
     {Animation #2 - Color 1}
     Spike_Animation_Color[03,00] := $b0;
     Spike_Animation_Color[03,01] := $b1;
     Spike_Animation_Color[03,02] := $ba;
     Spike_Animation_Color[03,03] := $bb;
     Spike_Animation_Color[03,04] := $bc;
     Spike_Animation_Color[03,05] := $bd;
     Spike_Animation_Color[03,06] := $c0;
     Spike_Animation_Color[03,07] := $c1;
     {Animation #2 - Color 2}
     Spike_Animation_Color[04,00] := $b2;
     Spike_Animation_Color[04,01] := $b4;
     Spike_Animation_Color[04,02] := $b7;
     Spike_Animation_Color[04,03] := $b9;
     {Animation #2 - Color 3}
     Spike_Animation_Color[05,00] := $b3;
     Spike_Animation_Color[05,01] := $b5;
     Spike_Animation_Color[05,02] := $b6;
     Spike_Animation_Color[05,03] := $b8;
     Spike_Animation_Color[05,04] := $be;
     Spike_Animation_Color[05,05] := $bf;
     Spike_Animation_Color[05,06] := $c2;
     Spike_Animation_Color[05,07] := $c3;
     {Animation #3 - Color 1}
     Spike_Animation_Color[06,00] := $b3;
     Spike_Animation_Color[06,01] := $b4;
     Spike_Animation_Color[06,02] := $b6;
     Spike_Animation_Color[06,03] := $b7;
     Spike_Animation_Color[06,04] := $be;
     Spike_Animation_Color[06,05] := $bf;
     Spike_Animation_Color[06,06] := $c0;
     Spike_Animation_Color[06,07] := $c1;
     {Animation #3 - Color 2}
     Spike_Animation_Color[07,00] := $b1;
     Spike_Animation_Color[07,01] := $b5;
     Spike_Animation_Color[07,02] := $b8;
     Spike_Animation_Color[07,03] := $bb;
     {Animation #3 - Color 3}
     Spike_Animation_Color[08,00] := $b0;
     Spike_Animation_Color[08,01] := $b2;
     Spike_Animation_Color[08,02] := $b9;
     Spike_Animation_Color[08,03] := $ba;
     Spike_Animation_Color[08,04] := $bc;
     Spike_Animation_Color[08,05] := $bd;
     Spike_Animation_Color[08,06] := $c2;
     Spike_Animation_Color[08,07] := $c3;
     {Animation #4 - Color 1}
     Spike_Animation_Color[09,00] := $bd;
     Spike_Animation_Color[09,01] := $b1;
     Spike_Animation_Color[09,02] := $b4;
     Spike_Animation_Color[09,03] := $bf;
     Spike_Animation_Color[09,04] := $b9;
     Spike_Animation_Color[09,05] := $ba;
     Spike_Animation_Color[09,06] := $bb;
     Spike_Animation_Color[09,07] := $c3;
     {Animation #4 - Color 2}
     Spike_Animation_Color[10,00] := $bc;
     Spike_Animation_Color[10,01] := $be;
     Spike_Animation_Color[10,02] := $c1;
     Spike_Animation_Color[10,03] := $c2;
     {Animation #4 - Color 3}
     Spike_Animation_Color[11,00] := $b2;
     Spike_Animation_Color[11,01] := $b0;
     Spike_Animation_Color[11,02] := $b5;
     Spike_Animation_Color[11,03] := $b3;
     Spike_Animation_Color[11,04] := $b8;
     Spike_Animation_Color[11,05] := $b6;
     Spike_Animation_Color[11,06] := $b7;
     Spike_Animation_Color[11,07] := $c0;

end;
procedure Draw_Sprites;
var i:word;
    Spr_X, Spr_Y : integer;
begin
     for i := 0 to 31 do
          if Enemy_Sprite_AnimCounter[i] < 255 then
          begin

               Spr_X := Enemy_Sprite_X[i]-(Level_Offset div 25)*8+20-Scroll_X;
               Spr_Y := Enemy_Sprite_Y[i]+20+6;

               {Prfen ob in Bildschirmbereich}
               if (Enemy_Sprite_X[i] > (Level_Offset div 25)*8) and
                  (Enemy_Sprite_X[i] < (Level_Offset div 25)*8+320) then
                  begin
                       if (Spr_X >= 20) and (Spr_X <= 316) then
                        tdraw_bitmap(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]],
                               Spr_X,Spr_Y,24,18);
                  end;
          end;
end;

procedure Draw_Screen;
var Pexel:word;
    x,y:word;
    i:word;
begin
     for y := 0 to 24 do
         for x := 0 to 39 do
         begin
              Pexel := Mem[Seg(Level^):Ofs(Level^)+y+x*25+Level_Offset];
              Draw_Pexel(Pexel,x,y);
         end;
     Draw_Sprites;
end;
procedure Draw_Box(x,y:word);
begin
     x := 20+x*8;
     y := 20+y*8;
     draw_line(x,y,x+7,y,200);
     draw_line(x,y,x,y+7,200);
     draw_line(x+7,y,x+7,y+7,200);
     draw_line(x,y+7,x+7,y+7,200);
end;
procedure Restore_Pexel(x,y:word);
var Pexel:word;
begin
     Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+x*25+y];
     Draw_Pexel(Pexel,x,y);
end;
procedure Write_Coords(x,y:word);
var s:string;
begin
     str(x:2,s);
     print_str('X: '+s,20,225,255,0);
     str(y:2,s);
     print_str('Y: '+s,20,225+8,255,0);
     str(Level_Offset:5,s);
     print_str('OFFSET: '+s,180,225,255,0);
     str(Mem[Seg(Level^):Ofs(Level^)+Level_Offset+x*25+y]:5,s);
     print_str('Pexel : '+s,180,233,255,0);
end;
procedure Choose_Pexel;
var ch:char;
    i:word;
    YPointer:pointer;
    Current_P : word;
    s:string;
begin
     draw_bitmap(pexel_screen,20,20,320,200);
     Draw_Box(PexelX,PexelY); Write_Coords(PexelX,PexelY);
     Current_P := PexelX+PexelY*40;
     str(Current_P:5,s);
     if Current_P > 255 then s := 'Error';
     print_str('Pexel : '+s,180,233,255,0);
     repeat
           Do_Color;
           Do_Star_Animation;
           sync_display;
           if keypressed then ch := readkey;

           if ch = #0 then
           begin
                {draw_bitmap(pexel_screen,20,20,320,200);}
                for i := PexelY*8 to PexelY*8+7 do
                begin
                     YPointer := ptr(Seg(Pexel_Screen^),Ofs(Pexel_Screen^)+i*320);
                     draw_bitmap(YPointer,20,i+20,320,1);
                end;
                ch := readkey;
                if ch = #77 then
                begin
                     if PexelX < 39 then inc(PexelX);
                     Draw_Box(PexelX,PexelY);
                end;
                if ch = #75 then
                begin
                     if PexelX > 0 then dec(PexelX);
                     Draw_Box(PexelX,PexelY);
                end;
                if ch = #72 then
                begin
                     if PexelY > 0 then dec(PexelY);
                     Draw_Box(PexelX,PexelY);
                end;
                if ch = #80 then
                begin
                     if PexelY < 24 then inc(PexelY);
                     Draw_Box(PexelX,PexelY);
                end;
                Write_Coords(PexelX,PexelY);
                Current_P := PexelX+PexelY*40;
                str(Current_P:5,s);
                if Current_P > 255 then s := 'Error';
                print_str('Pexel : '+s,180,233,255,0);
           end;
     until ch = #13;
     Clear_Vga_Screen(0);
     Current_Pexel := PexelY*40 + PexelX;
     Draw_Screen;
end;
procedure Edit;
var XPos, YPos,i,j : word;
    ch : char;
    Undo_Offset, Undo_Pexel:word;
    Sprite_No:Byte;
begin
     set_dac_register(255,63,63,63);
     Draw_Screen;
     XPos := 0; YPos := 0; ColorOffset := 0; ColorDelay := 0;
     Draw_Box(XPos,YPos); Write_Coords(XPos,YPos);
     repeat
           Do_Color;
           Do_Star_Animation;
           sync_display;
           if keypressed then ch := readkey
           else ch := #$ff;
           if ch = #13 then begin Choose_Pexel; Draw_Box(xPos,yPos); Write_Coords(XPos,YPos); end;
           if ch = #32 then
           begin
                Draw_Pexel(Current_Pexel,XPos,YPos);
                Undo_Offset := Level_Offset+XPos*25+YPos;
                Undo_Pexel := Mem[Seg(Level^):Ofs(Level^)+Undo_Offset];
                Mem[Seg(Level^):Ofs(Level^)+Level_Offset+XPos*25+YPos] := Current_Pexel;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 's' then
           begin {Zeichnet WALL-Makro}
                for i := 0 to 3 do begin Draw_Pexel(i+122,XPos+i,YPos);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos] := i+122; end;
                for i := 0 to 3 do begin Draw_Pexel(i+162,XPos+i,YPos+1);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+1] := i+162; end;
                for i := 0 to 3 do begin Draw_Pexel(i+202,XPos+i,YPos+2);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+2] := i+202; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'S' then
           begin {Zeichnet Steine 2 Makro}
                 for i := 0 to 1 do begin Draw_Pexel(i+73,XPos+i,YPos);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos] := i+73; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'W' then
           begin {Zeichnet Steine 2 Makro}
                 for i := 0 to 1 do begin Draw_Pexel(i+104,XPos+i,YPos);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos] := i+104; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'a' then
           begin {Zeichnet Stern 2x2 Makro}
                 for j := 0 to 1 do
                                for i := 0 to 1 do begin Draw_Pexel(i+43+j*40,XPos+i,YPos+j);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+j] := i+43+j*40; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'w' then
           begin {Zeichnet Steine "Wall"}
                for i := 0 to 2 do begin Draw_Pexel(i+1,XPos+i,YPos);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos] := i+1; end;
                for i := 0 to 2 do begin Draw_Pexel(i+1,XPos+i,YPos+1);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+1] := i+1; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'b' then
           begin {Zeichnet BOX-Makro}
                for i := 0 to 2 do begin Draw_Pexel(i+40,XPos+i,YPos);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos] := i+40; end;
                for i := 0 to 2 do begin Draw_Pexel(i+80,XPos+i,YPos+1);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+1] := i+80; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'B' then
           begin {Zeichnet BOX-Makro}
                for j := 0 to 1 do
                                for i := 0 to 2 do begin Draw_Pexel(i+45+j*40,XPos+i,YPos+j);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+j] := i+45+j*40; end;

                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 't' then
           begin {Zeichnet Tonne-Makro}
                for j := 0 to 2 do
                for i := 0 to 5 do begin Draw_Pexel(i+128+j*40,XPos+i,YPos+j);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+j] := i+128+j*40; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = '1' then
           begin {Zeichnet Tree 1-Makro}
                for j := 0 to 1 do
                for i := 0 to 5 do begin Draw_Pexel(i+48+j*40,XPos+i,YPos+j);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+j] := i+48+j*40; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = '2' then
           begin {Zeichnet Tree 2-Makro}
                for j := 0 to 2 do
                for i := 0 to 3 do begin Draw_Pexel(i+134+j*40,XPos+i,YPos+j);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+j] := i+134+j*40; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = '3' then
           begin {Zeichnet Tree 3-Makro}
                for j := 0 to 2 do
                for i := 0 to 4 do begin Draw_Pexel(i+138+j*40,XPos+i,YPos+j);
                                         Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(XPos+i)*25+YPos+j] := i+138+j*40; end;
                Draw_Box(xPos,yPos);
                Write_Coords(xPos,yPos);
           end;
           if ch = 'u' then
           begin {Undo}
                Mem[Seg(Level^):Ofs(Level^)+Undo_Offset] := Undo_Pexel;
                Draw_Screen;
                Draw_Box(xPos,yPos);
           end;
           if ch = 'p' then
           begin
                Play_Level;
                Write_Coords(XPos,YPos);
                Draw_Screen;
                Draw_Box(xPos,yPos);
           end;
           if ch = '#' then
           begin
                Title_Screen;
                Write_Coords(XPos,YPos);
                Draw_Screen;
                Draw_Box(xPos,yPos);
           end;
           {Scrollt ganzen Screen nach rechts}
           if ch = '+' then
           begin
                if Level_Offset < 40*25*9 then
                     begin
                          inc(Level_Offset,25*40);
                          Write_Coords(XPos,YPos);
                          Draw_Screen;
                          Draw_Box(xPos,yPos);
                     end else write(#7);
           end;
           if ch = '-' then
           begin
                if (Level_Offset < 25*40) and (Level_Offset > 0) then Level_Offset := 25*40;
                if Level_Offset > 0 then
                     begin
                          dec(Level_Offset,25*40);
                          Draw_Screen;
                          {if xPos < 39 then inc(xPos);}
                          Write_Coords(XPos,YPos);
                          Draw_Box(xPos,yPos);
                     end else write(#7);
           end;
           if ch in ['!','"','','$','%','&','/'] then
           begin {Sprite "1" setzen}
                for i := 0 to 31 do
                     if Enemy_Sprite_AnimCounter[i] = 255 then
                begin
                     {Suche Untergrund fr Sprite}
                     if ch <> '%' then
                     begin
                          j := YPos;
                          repeat
                                if not (Mem[Seg(Level^):Ofs(Level^)+Level_Offset+j+XPos*25]
                                     in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
                                        43..44,83..84,99,255,106..109,0]) then
                                begin
                                     Enemy_Sprite_Y[i] := j*8-24;
                                     j := YPos+25;
                                end else inc(j);
                          until j = YPos+25;
                     end else Enemy_Sprite_Y[i] := YPos*8-6;
                     Enemy_Sprite_AnimCounter[i] := 0;
                     if ch in ['!','"','$','%','&'] then Enemy_Sprite_Type[i] := ord(ch)-33
                     else if ch = '' then Enemy_Sprite_Type[i] := 2
                          else if ch = '/' then Enemy_Sprite_Type[i] := 6;
                     Enemy_Sprite_X[i] := XPos*8+(Level_Offset div 25)*8;
                     {Springende Kugel soll sich nicht bewegen}
                     if Enemy_Sprite_Type[i] in [0..3,5] then Enemy_Sprite_dx[i] := -1
                     else if Enemy_Sprite_Type[i] = 6 then Enemy_Sprite_dx[i] := 0
                     else
                     begin
                          tprint_str('(S)LOW BEE OF (F)AST BEE?',20,1*8,255);
                          repeat
                                ch := upcase(readkey);
                          until ch in ['S','F'];
                          if ch = 'S' then Enemy_Sprite_dx[i] := -1
                          else Enemy_Sprite_dx[i] := -2;
                          fill_block(20,1*8,359,2*8,0);
                     end;

                     Enemy_Sprite_dy[i] := 0;
                     {Beende Schleife zum Spritesuchen}
                     i := 31;
                end;
                Draw_Sprites;
                Draw_Box(xPos,yPos);
           end;
           if ch = #0 then
           begin
                ch := readkey;
                if ch = #59 then {Help}
                begin
                     Display_Help;
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #60 then {Erase Sprite-Data}
                begin
                     Erase_Sprites;
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #61 then {Select Pexel-Pal}
                begin
                     Select_PexelPal;
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #66 then {Save Final Level}
                begin
                     Save_Level_Final;
                     Level_Offset := 0;
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #67 then {Load}
                begin
                     Load_Level;
                     Level_Offset := 0;
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #68 then {Save}
                begin
                     Save_Level;
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #71 then {Pos 1}
                begin
                     Restore_Pexel(xPos,yPos);
                     xPos := 0;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #79 then {Ende}
                begin
                     Restore_Pexel(xPos,yPos);
                     xPos := 39;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #81 then {Scroll right}
                begin
                     if Level_Offset < 40*25*10-1 then
                     begin
                          inc(Level_Offset,25);
                          Draw_Screen;
                          {if xPos > 0 then dec(xPos);}
                          Draw_Box(xPos,yPos);
                     end else write(#7);
                end;
                if ch = #73 then {Scroll left}
                begin
                     if Level_Offset > 0 then
                     begin
                          dec(Level_Offset,25);
                          Draw_Screen;
                          {if xPos < 39 then inc(xPos);}
                          Draw_Box(xPos,yPos);
                     end else write(#7);
                end;
                if ch = #82 then {Insert, fgt Spalte ein}
                begin
                     for i := 9975 downto Level_Offset+xPos*25+yPos do
                         Mem[Seg(Level^):Ofs(Level^)+i+25] := Mem[Seg(Level^):Ofs(Level^)+i];
                     for i := 0 to 31 do
                         if Enemy_Sprite_X[i] div 8 >= Level_Offset div 25+xPos then inc(Enemy_Sprite_X[i],8);
                     Draw_Screen;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #77 then
                begin
                     Restore_Pexel(xPos,yPos);
                     if xPos < 39 then inc(xPos);
                     Draw_Sprites;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #75 then
                begin
                     Restore_Pexel(xPos,yPos);
                     if xPos > 0 then dec(xPos);
                     Draw_Sprites;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #72 then
                begin
                     Restore_Pexel(xPos,yPos);
                     if yPos > 0 then dec(yPos);
                     Draw_Sprites;
                     Draw_Box(xPos,yPos);
                end;
                if ch = #80 then
                begin
                     Restore_Pexel(xPos,yPos);
                     if yPos < 24 then inc(yPos);
                     Draw_Sprites;
                     Draw_Box(xPos,yPos);
                end;
                Write_Coords(xPos,yPos);
           end;
     until ch = #27;
end;
procedure Init_ColorTable;
begin{Red}
     ColorTable[00].R := 20; ColorTable[00].G := 00; ColorTable[00].B := 00;
     ColorTable[01].R := 30; ColorTable[01].G := 00; ColorTable[01].B := 00;
     ColorTable[02].R := 40; ColorTable[02].G := 30; ColorTable[02].B := 00;
     ColorTable[03].R := 63; ColorTable[03].G := 40; ColorTable[03].B := 00;
     ColorTable[04].R := 63; ColorTable[04].G := 63; ColorTable[04].B := 63;
     ColorTable[05].R := 63; ColorTable[05].G := 40; ColorTable[05].B := 00;
     ColorTable[06].R := 40; ColorTable[06].G := 30; ColorTable[06].B := 00;
     ColorTable[07].R := 30; ColorTable[07].G := 00; ColorTable[07].B := 00;
     ColorTable[08].R := 20; ColorTable[08].G := 00; ColorTable[08].B := 00;
     {Blue}
     ColorTable[09].R := 00; ColorTable[09].G := 00; ColorTable[09].B := 20;
     ColorTable[10].R := 00; ColorTable[10].G := 00; ColorTable[10].B := 30;
     ColorTable[11].R := 00; ColorTable[11].G := 30; ColorTable[11].B := 40;
     ColorTable[12].R := 00; ColorTable[12].G := 40; ColorTable[12].B := 63;
     ColorTable[13].R := 63; ColorTable[13].G := 63; ColorTable[13].B := 63;
     ColorTable[14].R := 00; ColorTable[14].G := 40; ColorTable[14].B := 63;
     ColorTable[15].R := 00; ColorTable[15].G := 30; ColorTable[15].B := 40;
     ColorTable[16].R := 00; ColorTable[16].G := 00; ColorTable[16].B := 30;
     ColorTable[17].R := 00; ColorTable[17].G := 00; ColorTable[17].B := 20;
     {Green}
     ColorTable[18].R := 00; ColorTable[18].G := 20; ColorTable[18].B := 00;
     ColorTable[19].R := 00; ColorTable[19].G := 30; ColorTable[19].B := 00;
     ColorTable[20].R := 30; ColorTable[20].G := 40; ColorTable[20].B := 00;
     ColorTable[21].R := 40; ColorTable[21].G := 63; ColorTable[21].B := 00;
     ColorTable[22].R := 63; ColorTable[22].G := 63; ColorTable[22].B := 63;
     ColorTable[23].R := 40; ColorTable[23].G := 63; ColorTable[23].B := 00;
     ColorTable[24].R := 30; ColorTable[24].G := 40; ColorTable[24].B := 00;
     ColorTable[25].R := 00; ColorTable[25].G := 30; ColorTable[25].B := 00;
     ColorTable[26].R := 00; ColorTable[26].G := 20; ColorTable[26].B := 00;
     {What}
     ColorTable[27].R := 20; ColorTable[27].G := 20; ColorTable[27].B := 20;
     ColorTable[28].R := 30; ColorTable[28].G := 30; ColorTable[28].B := 30;
     ColorTable[29].R := 40; ColorTable[29].G := 40; ColorTable[29].B := 40;
     ColorTable[30].R := 50; ColorTable[30].G := 50; ColorTable[30].B := 50;
     ColorTable[31].R := 63; ColorTable[31].G := 63; ColorTable[31].B := 63;
     ColorTable[32].R := 40; ColorTable[32].G := 40; ColorTable[32].B := 40;
     ColorTable[33].R := 30; ColorTable[33].G := 30; ColorTable[33].B := 30;
     ColorTable[34].R := 20; ColorTable[34].G := 20; ColorTable[34].B := 20;
     ColorTable[35].R := 10; ColorTable[35].G := 10; ColorTable[35].B := 10;

     ColorTableLength := 35+1;
end;
procedure Init_Sprites(s:string);
var x,y:word;
    P_S,P_O:word;
    i,j:word;
begin
     {Sprites holen}
     ReadLBM(s,Pexel_Screen);
     P_S := Seg(Pexel_Screen^); P_O := Ofs(Pexel_Screen^);
     for i := 0 to 10 do getmem(Giana_Spr[i],24*24);
     {Sprites normal}
     for i := 0 to 4 do
         for y := 0 to 23 do
             for x := 0 to 23 do
                 Mem[Seg(Giana_Spr[i]^):Ofs(Giana_Spr[i]^)+y*24+x] :=
                 Mem[P_S:P_O+i*24+y*320+x];
     {SterbeSprite}
     for y := 0 to 23 do
         for x := 0 to 23 do
             Mem[Seg(Giana_Spr[10]^):Ofs(Giana_Spr[10]^)+y*24+x] :=
             Mem[P_S:P_O+y*320+x+5*24];
     {Sprites X-flipped}
     for i := 0 to 4 do
         for y := 0 to 23 do
             for x := 0 to 23 do
                 Mem[Seg(Giana_Spr[i+5]^):Ofs(Giana_Spr[i+5]^)+y*24+x] :=
                 Mem[P_S:P_O+i*24+y*320+23-x];
     {Kleiner Stern}
     getmem(Little_Star,70);  {Kleiner Stern Sprite Puffer}
     for y := 0 to 7 do
         for x := 0 to 7 do
             Mem[Seg(Little_Star^):Ofs(Little_Star^)+y*8+x] :=
             Mem[P_S:P_O+24*320+y*320+x];
     {Enemy Sprites}
     for i := 0 to 6 do
         for j := 0 to 10 do getmem(Enemy_Sprite[i,j],24*18+2);

     {x-flipped "(23-x)", wenn Bewegung nach links}
     for j := 0 to 6 do
     for i := 0 to 4 do
         for y := 0 to 17 do
             for x := 0 to 23 do
             Mem[Seg(Enemy_Sprite[j,i]^):Ofs(Enemy_Sprite[j,i]^)+y*24+x] :=
             Mem[P_S:P_O+32*320+y*320+23-x+i*24+j*18*320];
     {normal, wenn Bewegung nach rechts}
     for j := 0 to 6 do
     for i := 0 to 4 do
         for y := 0 to 17 do
             for x := 0 to 23 do
             Mem[Seg(Enemy_Sprite[j,i+5]^):Ofs(Enemy_Sprite[j,i+5]^)+y*24+x] :=
             Mem[P_S:P_O+32*320+y*320+x+i*24+j*18*320];
     {SinTable fr Ballsprung}
     for i := 0 to 255 do Jump_Table[i] := trunc(56*abs(sin(i*pi/64)));
end;
begin
     Palette_Type := 0;
     Init_ColorTable;
     Init_Mem;
     Init_Music;
     Set_Modex(6);
     Init_Sprites('SPRITES1.LBM');
     ReadLBM('PEXEL1.LBM',Pexel_Screen);
     setallpal(LbmPalette);
     {load_level_fast('level3.lev');}
     {Do_Scroll;}
     Edit;
     set_text;
     writeln('Giana Sisters Level Editor v2.2 - DO NOT SPREAD!',#13#10);
     writeln('Code by -=- MYTH -=-');
     writeln('Gfx by -=- KYP -=-');
     writeln('Music by -=- KB/DJ99 -=-');
end.