uses midas, mfile, mplayer, modp, errors, mconfig, sdevice, mmem,
     modex, gfx,levels,morelev;
{$M $f000,0,650000}
{$i gifont.inc}
{$i sprite_p.inc}              {Sprite Palette}
{$i pexel_pa.inc}              {Pexel Palette}
{$i joystick.inc}              {Joystick Routines}
var My_Screen : pointer;
    My_ScreenS, My_ScreenO : word;
type Color = record
     R,B,G : Byte;
     end;
var ColorTable : array[0..80] of Color;
    ColorTableLength : Byte;
    Pexel_Screen:pointer;
    ColorOffset, ColorDelay : word;
    Giana_Spr : array[0..10] of pointer;
    Little_Star : pointer;
    Little_Star_X, Little_Star_Y : array[0..16] of word;
    Little_Star_dy : array[0..16] of shortint;
    Level : pointer;
    Star_Animation_Color : array[0..11,0..13] of Byte;
    Fire_Animation_Color : array[0..8,0..8] of Byte;
    Spike_Animation_Color : array[0..11,0..7] of Byte;
    Enemy_Sprite : array[0..6,0..10] of pointer;
    Enemy_Sprite_X : array[0..32] of longint;
    Enemy_Sprite_Y : array[0..32] of word;
    Enemy_Sprite_dx : array[0..32] of shortint;
    Enemy_Sprite_dy : array[0..32] of shortint;
    Enemy_Sprite_Type : array[0..32] of Byte;
    Enemy_Sprite_AnimCounter : array[0..32] of Byte;
    Enemy_Sprite_DieCounter : array[0..32] of word;
    Enemy_Sprite_JumpCounter : array[0..32] of Byte;
    Jump_Table : array[0..255] of Byte; {Ballsprung Koordinaten}
    Palette_Type : Byte; {Gibt an, was fr eine Farbpalette}
    Status_Line1 : pointer;
    Status_Line2 : pointer;
    Score : longint;
    {Level ist Y-Zeilenweise aufgebaut, jeweil 25 Bytes, also
    Pexel = x*25+y  -  Levelgre:40*25*10}
const PexelX : word = 0;
      PexelY : word = 0;
      Current_Pexel : word = 0;
      Level_Offset : word = 0;
      Star_Animation : Byte = 0;
      Spike_Animation : Byte = 0;
      Scroll_X : Byte = 0;
      Actual_Level : Byte = 1;
      Bonus : Byte = 0;
      Lives : word = 3;
{MIDAS}
var module : PmpModule;
    i, error, isConfig : integer;
    ASCIIstr : array [0..256] of char;
    SD : PSoundDevice;
    MP : PModulePlayer;
    defAmplify : word;                  { default amplification }
    amplification : word;               { current amplification }
    effect1, effect2, effect3, effect4 : word;
    fxChannel : integer;
const
    FXCHANNELS = 2;
    MAXMUSCHANNELS = 4;
    FXRATE = 10500;
{$i midas.inc}                          {Midas Effect Routines}

procedure SetIntVec(IntNo: Byte; Vector: Pointer); assembler;
asm
   cli
   push ds
   mov ah, $25
   mov al, IntNo
   lds dx, Vector
   int $21
   pop ds
   sti
end;
procedure GetIntVec(IntNo: Byte; var Vector: Pointer);
var _es, _bx:word;
begin
     asm
        cli
        mov ah, $35
        mov al, IntNo
        int $21
        mov _es, es
        mov _bx, bx
        sti
     end;
     Vector := ptr(_es,_bx);
end;

Procedure SetAllPal;
var i : Byte;
begin
     for i := 0 to 16 do
         set_dac_register(i+1,Pexel_Pal[i*3+2+Palette_Type*48],
                             Pexel_Pal[i*3+1+Palette_Type*48],
                             Pexel_Pal[i*3+Palette_Type*48]);
     for i := 0 to 16 do
         set_dac_register(i+$40,Sprite_Pal[i*3+2],
                             Sprite_Pal[i*3+1],
                             Sprite_Pal[i*3]);
     set_dac_register(20,40,40,10);
     set_dac_register(21,47,47,20);
     set_dac_register(22,55,55,30);
     set_dac_register(23,63,63,40);
     set_dac_register(24,55,55,30);
     set_dac_register(25,47,47,20);
     set_dac_register(26,40,40,10);
     set_dac_register(27,35,35,10);
     set_dac_register(28,10,40,40);
     set_dac_register(29,20,47,47);
     set_dac_register(30,30,55,55);
     set_dac_register(31,40,63,63);
     set_dac_register(32,30,55,55);
     set_dac_register(33,30,47,47);
     set_dac_register(34,10,40,40);
     set_dac_register(35,10,35,35);

end;
procedure PrintChar_P(p:pointer;ch:char;x,y:word;col:Byte);
var FontOffset : word;
    i,j:Byte;
    ActualChar1 : Byte;
begin
     ActualChar1 := ord(ch);
     if ActualChar1 <= 71 then FontOffset := (ord(ActualChar1)-32)*8
     else FontOffset := (ord(ActualChar1)-72)*8+2560;
     inc(FontOffset,787);
     for i := 0 to 7 do for j := 0 to 7 do
         if GIFont[FontOffset+i*320+j] <> 0 then
         Mem[Seg(p^):Ofs(p^)+x+i*320+j] := col+i else Mem[Seg(p^):Ofs(p^)+x+i*320+j] := 0;
end;
procedure Print_P(p:pointer;txt:string;x,y:word;Col:Byte);
var i : word;
begin
     for i := 0 to 320*2 do MemL[Seg(p^):Ofs(P^)+i*4] := 0;
     for i := 1 to length(Txt) do PrintChar_P(p,txt[i],(i-1)*8+x,y,Col);
end;

procedure Do_Color;
begin
     inc(ColorDelay);
     if ColorDelay = 4 then
        begin
             {Color Effekt of Box}
             ColorDelay := 0;
             ColorOffset := (ColorOffset + 1) mod ColorTableLength;
             set_dac_register(200,
                  ColorTable[(ColorOffset)].R,
                  ColorTable[(ColorOffset)].G,
                  ColorTable[(ColorOffset)].B);
        end;
end;
const Animation_Delay:Byte=0;
      Star_dx : shortint = 1;
      Fire_Animation : Byte=0;
var   Back_R, Back_G, Back_B : Byte;
      Star_R, Star_G, Star_B : Byte;
procedure Do_Star_Animation;
var i:Byte;

begin
     inc(Animation_Delay);
     if Animation_Delay mod 8 = 0 then
     begin
          if Palette_Type > 0 then
          begin
               Back_R := 0; Back_G := 0; Back_B := 0;
               if Palette_Type > 1 then
               begin
                    Star_R := 32; Star_G := 17; Star_B := 17;
               end
               else begin Star_R := 24; Star_G := 17; Star_B := 0; end;
          end
          else
          begin
               Back_R := 25; Back_G := 33; Back_B := 57;
               Star_R := 24; Star_G := 17; Star_B := 0;
          end;

          {Color Effekt of Stars}
          inc(Star_Animation,Star_dx);
          if Star_Animation = 3 then Star_dx := -1;
          if Star_Animation = 0 then Star_dx := 1;
          for i := 0 to 13 do
          begin
               if Star_Animation_Color[Star_Animation*3,i] > 0 then
                  set_dac_register(Star_Animation_Color[Star_Animation*3,i],58,58,25);
               if Star_Animation_Color[Star_Animation*3+1,i] > 0 then
                  set_dac_register(Star_Animation_Color[Star_Animation*3+1,i],42,34,9);
               if Star_Animation_Color[Star_Animation*3+2,i] > 0 then
                  set_dac_register(Star_Animation_Color[Star_Animation*3+2,i],Star_R,Star_G,Star_B);
          end;
     end;
     if Animation_Delay mod 8 = 1 then
     begin
          {Color Effekt of Fire}
          Fire_Animation := (Fire_Animation+1) mod 3;
          for i := 0 to 7 do
          begin
               if Fire_Animation_Color[Fire_Animation*3,i] > 0 then
                  set_dac_register(Fire_Animation_Color[Fire_Animation*3,i],49,9,17);
               if Fire_Animation_Color[Fire_Animation*3+1,i] > 0 then
                  set_dac_register(Fire_Animation_Color[Fire_Animation*3+1,i],39,9,9);
               if Fire_Animation_Color[Fire_Animation*3+2,i] > 0 then
                  set_dac_register(Fire_Animation_Color[Fire_Animation*3+2,i],Back_R,Back_G,Back_B);
          end;
     end;
     if Animation_Delay mod 10 = 2 then
     begin
          {Spikes}
          Spike_Animation := (Spike_Animation +1) mod 4;
          for i := 0 to 7 do
          begin
               if Spike_Animation_Color[Spike_Animation*3,i] > 0 then
                  set_dac_register(Spike_Animation_Color[Spike_Animation*3,i],Back_R,Back_G,Back_B);
               if Spike_Animation_Color[Spike_Animation*3+1,i] > 0 then
                  set_dac_register(Spike_Animation_Color[Spike_Animation*3+1,i],25,25,28);
               if Spike_Animation_Color[Spike_Animation*3+2,i] > 0 then
                  set_dac_register(Spike_Animation_Color[Spike_Animation*3+2,i],63,63,63);

          end;
     end;
end;
procedure Draw_Pexel(n,x,y:word);
var x_p,y_p,i:word;
    p:pointer;
    Offset:word;
begin
     y_p := n div 40;
     x_p := n mod 40;
     Offset := y_p*8*320+x_p*8;
     for i := 0 to 7 do
     begin
          p := ptr(Seg(Pexel_Screen^),Ofs(Pexel_Screen^)+Offset+i*320);
          draw_bitmap(p,20+x*8,20+y*8+i,8,1);
     end;
end;

procedure Draw_Virtual_Pexel(n,x,y:word);
var x_p,y_p,i:word;
    p:pointer;
    Offset:word;
begin
     y_p := n div 40;
     x_p := n mod 40;
     Offset := y_p*8*320+x_p*8;
     for i := 0 to 7 do
     begin
          {p := ptr(Seg(Pexel_Screen^),Ofs(Pexel_Screen^)+Offset+i*320);
          draw_bitmap(p,20+x*8,20+y*8+i,8,1);}
          MemL[My_ScreenS:My_ScreenO+x*8+((y*8)+i)*320-Scroll_X] := MemL[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+i*320];
          MemL[My_ScreenS:My_ScreenO+x*8+((y*8)+i)*320+4-Scroll_X] :=
              MemL[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+i*320+4];
     end;
end;
procedure Draw_Border(Level_Offset:word;Scroll_X:Byte);
var Offset,x_p,y_p : word;
    Current_Pexel,i,j :Byte;
begin
     if Scroll_X <> 1 then
     begin
     for i := 0 to 24 do
     begin
          if Scroll_X > 0 then
          Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+40*25+i]
          else Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+39*25+i];
          y_p := Current_Pexel div 40;
          x_p := Current_Pexel mod 40;
          Offset := y_p*8*320+x_p*8+(Scroll_X+6) mod 8;
          for j := 0 to 7 do MemW[My_ScreenS:My_ScreenO+i*8*320+318+j*320] :=
              MemW[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+j*320];
     end;
     end
     else
     begin
     for i := 0 to 24 do
     begin
          {Erst Border "7" Zeichen}
          Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+39*25+i];

          y_p := Current_Pexel div 40;
          x_p := Current_Pexel mod 40;
          Offset := y_p*8*320+x_p*8+7;
          for j := 0 to 7 do Mem[My_ScreenS:My_ScreenO+i*8*320+318+j*320] :=
              Mem[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+j*320];
          {Dann Border "0" Zeichnen}
          Current_Pexel := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+40*25+i];
          y_p := Current_Pexel div 40;
          x_p := Current_Pexel mod 40;
          Offset := y_p*8*320+x_p*8+0;
          for j := 0 to 7 do Mem[My_ScreenS:My_ScreenO+i*8*320+319+j*320] :=
              Mem[Seg(Pexel_Screen^):Ofs(Pexel_Screen^)+Offset+j*320];
     end;
     end;
end;
const Up : boolean = false;
      Left : boolean = false;
      Right: boolean = false;
      Up_Release : boolean = false;
      pressed_1 : boolean = false;
      pressed_2 : boolean = false;
      ctrl_pressed : boolean = false;
      space_pressed : boolean = false;
      esc_pressed : boolean = false;
var OldInt9 : procedure;
procedure NewInt9; interrupt;
var ScanCode : Byte;
begin
     {Keyboard Routine}
     ScanCode := port[96];
     case ScanCode of
          $48 : Up := true;
          $c8 : begin Up := false; Up_Release := true; end;
          $4d : begin Right := true; Left := false; end;
          $cd : Right := false;
          $4b : begin Left := true; Right := false; end;
          $cb : Left := false;
          $02 : pressed_1 := true;
          $82 : pressed_1 := false;
          $03 : pressed_2 := true;
          $83 : pressed_2 := false;
          $1d : ctrl_pressed := true;
          $9d : ctrl_pressed := false;
          $39 : space_pressed := true;
          $b9 : space_pressed := false;
          $01 : esc_pressed := true;
          $81 : esc_pressed := false;
          end;
     asm pushf end;
     OldInt9;
end;
const LastJoyUp:boolean = false;
      LastJoyFire3:boolean=false;
procedure Check_Joystick;
begin
     {Joystick Routine}
     if joystick_found then
     begin
          LastJoyUp := JoyUp;
          LastJoyFire3:= JoyFire3;
          Read_Joystick;
          if JoyLeft then Left := true else Left := false;
          if JoyRight then Right := true else Right := false;
          if JoyUp then Up := true;
          if LastJoyUp and (not JoyUp) then begin Up_release := true; Up := false; end;
          {Gamepad Support}
          if JoyFire3 then Up := true;
          if LastJoyFire3 and (not JoyFire3) then begin Up_release := true; Up := false; end;
          if JoyFire then ctrl_pressed := true else ctrl_pressed := false;
     end;
end;
function Clear_Star(Level_Offset,SprX,SprY:word):boolean;
var a,i:Byte;
begin
     {Prfen auf Kollision Rechte Obere Ecke Sprite mit Diamand}
     Clear_Star := false;
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25];
     for i := 0 to 2 do
          if a = 85+i then
          begin
               Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-25*i] := 80;
               Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+25-25*i] := 81;
               Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+50-25*i] := 82;
               Draw_Virtual_Pexel(80,(SprX-00) div 8-i,(SprY-20) div 8);
               Draw_Virtual_Pexel(81,(SprX-00) div 8+1-i,(SprY-20) div 8);
               Draw_Virtual_Pexel(82,(SprX-00) div 8+2-i,(SprY-20) div 8);
               Draw_Virtual_Pexel(40,(SprX-00) div 8-i,(SprY-20) div 8-1);
               Draw_Virtual_Pexel(41,(SprX-00) div 8+1-i,(SprY-20) div 8-1);
               Draw_Virtual_Pexel(42,(SprX-00) div 8+2-i,(SprY-20) div 8-1);
               Clear_Star := true;
          end;
end;
procedure Clear_Diamond(Level_Offset,SprX,SprY:word);
var a:Byte;
begin
     {Prfen auf Kollision Linke Obere Ecke Sprite mit Diamand}
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25];
     {unten links berhrt}
     if a = 83 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+25] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8-1);
     end;
     {unten rechts}
     if a = 84 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-26] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-25] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8-1);
     end;
     {oben links}
     if a = 43 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+26] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8+1,(SprY-20) div 8+1);
     end;
     {oben rechts}
     if a = 44 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25-24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+1] := 0;
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-20) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-20) div 8-1,(SprY-20) div 8+1);
     end;

     {Prfen auf Kollision Rechte Obere Ecke Sprite mit Diamand}
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25];
     {unten links berhrt}
     if a = 83 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+25] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8-1);
     end;
     {unten rechts}
     if a = 84 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-26] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-25] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8-1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8-1);
     end;
     {oben links}
     if a = 43 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+1] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+26] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8+1,(SprY-20) div 8+1);
     end;
     {oben rechts}
     if a = 44 then
     begin
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-25] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25-24] := 0;
          Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-00) div 8)*25+1] := 0;
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8);
          Draw_Virtual_Pexel(0,(SprX-00) div 8,(SprY-20) div 8+1);
          Draw_Virtual_Pexel(0,(SprX-00) div 8-1,(SprY-20) div 8+1);
     end;

end;
function Pexel_under_Sprite(Level_Offset,SprX,SprY:word):word;
var a,b,c:Byte;
begin
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25];
     b := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+25];
     c := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+50];
     if a in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,85..87,106..109] then a := 0;
     if b in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,85..87,106..109] then b := 0;
     if c in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,85..87,106..109] then c := 0;
     Pexel_under_Sprite := a+b+c;
end;
function Pexel_right2_Sprite(Level_Offset,SprX,SprY:word):word;
var a,b:Byte;
begin
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+24];
     b := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25+24+1];
     if a in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,106..109] then a := 0;
     if b in [48..53,88..93,134..155,174..195,214..235,60..63,100..103,157,196..198,236..238,
              43..44,83..84,99,255,106..109] then b := 0;
     Pexel_right2_Sprite := a+b;
end;
function Get_Pexel(Level_Offset,SprX,SprY:word):Byte;
var a:Byte;
begin
     a := Mem[Seg(Level^):Ofs(Level^)+Level_Offset+(SprY-20) div 8+((SprX-20) div 8)*25];
     if a in [48..53,88..93,134..155,174..195,214..235,99] then a := 0;
     Get_Pexel := a;
end;
const Sprites_DelayCounter:Byte=0;
var   tmp_pointer : pointer;
procedure Draw_Sprites_in_Game;
var i,j:word;
    Spr_X, Spr_Y : integer;
    S, O: word;
begin
     inc(Sprites_DelayCounter);
     for i := 0 to 31 do
          if Enemy_Sprite_AnimCounter[i] < 255 then
          begin
               if Enemy_Sprite_X[i] = 0 then
               begin {Umdrehen}
                    Enemy_Sprite_dx[i] := -Enemy_Sprite_dx[i];
                    {Sprite x-flipped nehmen}
                    if Enemy_Sprite_Type[i] in [1,3,4] then
                    Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+5) mod 10;
               end;
               if not (Enemy_Sprite_AnimCounter[i] in [4,9,255]) then inc(Enemy_Sprite_x[i],Enemy_Sprite_dx[i]);
               {Prfen, da Sprites auf Boden bleiben}
               if Enemy_Sprite_Type[i] in [0,1,2,3,5] then
                if (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+3]
                  in [48..53,88..93,134..155,174..195,214..235,99,0,8..10]) or
                  (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+3+75]
                  in [48..53,88..93,134..155,174..195,214..235,99,0,8..10]) or
                  {Sprites drfen nicht durch Wnde gehen}
                  (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+2]
                  in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                     30..32,168..173,73..74]) or
                  (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+2+75]
                  in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                     30..32,168..173,73..74])
                  then begin
                            Enemy_Sprite_dx[i] := -Enemy_Sprite_dx[i];
                            if Enemy_Sprite_Type[i] in [1,3,5] then
                            Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+5) mod 10;
                  end;
               {Sonderbehandlung Biene}
               if Enemy_Sprite_Type[i] = 4 then
               begin
                    {Biene dreht um bei Kollision mit Wand}
                    if (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+1]
                       in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                           30..32,168..173,128..133,20..23,73..74]) or
                       (Mem[Seg(Level^):Ofs(Level^)+(Enemy_Sprite_X[i] div 8)*25+Enemy_Sprite_Y[i] div 8+1+75]
                       in [208..213,236..238,196..198,157,40..42,80..82,45..47,85..87,99,106..109,1..3,34..36,
                           30..32,168..173,128..133,20..23,73..74])
                       then begin
                            Enemy_Sprite_dx[i] := -Enemy_Sprite_dx[i];
                            Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+5) mod 10;
                       end;
                    {Biene strzt ab, wenn draufgesprungen}
                    if (Enemy_Sprite_AnimCounter[i] in [4,9]) and (Enemy_Sprite_Y[i] < 179) then
                    begin
                         if Enemy_Sprite_DieCounter[i] < 4 then inc(Enemy_Sprite_Y[i],1)
                            else if Enemy_Sprite_DieCounter[i] < 16 then inc(Enemy_Sprite_Y[i],2)
                                 else if Enemy_Sprite_DieCounter[i] < 32 then inc(Enemy_Sprite_Y[i],4)
                                      else inc(Enemy_Sprite_Y[i],8);
                         {Wenn Sprite aus Bildschirm raus, dann abschalten (setze unmgliche X-Koordinate)}
                         if Enemy_Sprite_Y[i] >= 179 then Enemy_Sprite_X[i] := 500000;
                         if Enemy_Sprite_DieCounter[i] < 65535 then inc(Enemy_Sprite_DieCounter[i]);
                    end;
               end;

               Spr_X := Enemy_Sprite_X[i]-(Level_Offset div 25)*8+20-Scroll_X;
               Spr_Y := Enemy_Sprite_Y[i]+20+6;

               {Sonderbehandlung Jump-Ball}
               if Enemy_Sprite_Type[i] = 6 then
               begin
                    inc(Enemy_Sprite_JumpCounter[i]);
                    Spr_Y := Enemy_Sprite_Y[i]+20+6-Jump_Table[Enemy_Sprite_JumpCounter[i]];
               end;


               if Sprites_DelayCounter mod 10 = 0 then
               begin
                  if not (Enemy_Sprite_AnimCounter[i] in [4,9,255]) then
                  begin
                     {geht nach links?}
                     if Enemy_Sprite_AnimCounter[i] in [0..3] then
                        Enemy_Sprite_AnimCounter[i] := (Enemy_Sprite_AnimCounter[i]+1) mod 4;
                     {ansonsten x-flipped}
                     if Enemy_Sprite_AnimCounter[i] in [5..8] then
                        Enemy_Sprite_AnimCounter[i] := 5+((Enemy_Sprite_AnimCounter[i]+2) mod 4);
                  end;
               end;
               {Prfen ob in Bildschirmbereich}
               if (Enemy_Sprite_X[i]+24 > (Level_Offset div 25)*8) and
                  (Enemy_Sprite_X[i] < (Level_Offset div 25)*8+320) then
                  begin
                       if (Spr_X < 20) and (Spr_X > -4) then
                       begin {Clipping links?}
                            S := seg(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            O := ofs(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            for j := 0 to 17 do
                            begin
                                tmp_pointer := ptr(S,O+(20-Spr_X)+j*24);
                                tdraw_bitmap(tmp_pointer,20,Spr_Y+j,Spr_X+4,1);
                            end;
                       end {Clipping rechts?}
                       else if (Spr_X > 316) and (Spr_X < 340) then
                       begin
                            S := seg(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            O := ofs(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]]^);
                            for j := 0 to 17 do
                            begin
                                tmp_pointer := ptr(S,O+j*24);
                                tdraw_bitmap(tmp_pointer,Spr_X,Spr_Y+j,340-Spr_X,1);
                            end;
                       end
                       else if (Spr_X >= 20) and (Spr_X <= 316) then
                        tdraw_bitmap(Enemy_Sprite[Enemy_Sprite_Type[i],Enemy_Sprite_AnimCounter[i]],
                               Spr_X,Spr_Y,24,18);
                  end;
          end;


end;
procedure Init_Level(p:pointer);
var i,x_h,x_l : Byte;
begin
     Palette_Type := Mem[Seg(p^):Ofs(p^)];
     SetAllPal;
     for i := 0 to 31 do
     begin
          Enemy_Sprite_Type[i] := Mem[Seg(p^):Ofs(p^)+1+i*4];
          x_h := Mem[Seg(p^):Ofs(p^)+2+i*4]; x_l := Mem[Seg(p^):Ofs(p^)+3+i*4];
          Enemy_Sprite_X[i] := (256*x_h+x_l)*8;
          Enemy_Sprite_Y[i] := Mem[Seg(p^):Ofs(p^)+4+i*4]*8;
          if Enemy_Sprite_X[i] > 0 then Enemy_Sprite_AnimCounter[i] := 0
             else Enemy_Sprite_AnimCounter[i] := 255;
          Enemy_Sprite_dx[i] := -1;
          Enemy_Sprite_dy[i] := 0;
          {Spritetype 100 fr schnelle Biene}
          if Enemy_Sprite_Type[i] = 100 then
          begin
               Enemy_Sprite_Type[i] := 4; {wieder Biene}
               Enemy_Sprite_dx[i] := -2;
          end;
          {Spritetype 6 (Jump-Ball bleibt stehen)}
          if Enemy_Sprite_Type[i] = 6 then Enemy_Sprite_dx[i] := 0;
     end;
end;
var Level_BackUp : pointer;
procedure Play_Level(p:pointer);
var i,j,x,y:word;
    Active_Page,b : Byte;
    Pexel:Byte;
    Level_Offset_Bak : word;
    Scroll_Speed : word;

    SprX : word;
    SprY : integer;
    EnemyX,EnemyY : integer;
    dy,dyn,dx    : shortint;
    Wait_Counter, Wait_Counter2 : Byte;
    Anim_Counter, Anim_Wait : Byte;
    Anim_dx : shortint;
    Jump : boolean;
    Live_Lost : boolean;
    Level_Completed : boolean;
    Backup_Sprite_X : array[0..31] of longint;
    Backup_Sprite_Y : array[0..31] of word;
    Backup_Sprite_dx : array[0..31] of shortint;
    Backup_Sprite_dy : array[0..31] of shortint;
    Time_Counter : word;
    Score_S, Bonus_S, Lives_S, Stage_S, Time_S :string;
    Time : Byte;
    Live_Lost_Times : Byte;
    s : string;
begin
     Init_Level(p);
     Level := ptr(Seg(p^),Ofs(p^)+129);

     {Get Ready Meldung}
     set_active_page(0);
     clear_vga_screen(0);
     set_display_page(0);
     {Init MOD-MUSIC}
     Play_Music('GIANA07.VOL');

     print_p(Status_Line1,'GIANA',0,0,20);
     tdraw_bitmap(Status_Line1,160,84,320,7);
     print_p(Status_Line1,'GET READY',0,0,20);
     tdraw_bitmap(Status_Line1,144,100,320,7);
     str(Actual_Level:2,Stage_S);
     Stage_S := 'STAGE '+Stage_S;
     if Stage_S[7] = #32 then Stage_S[7] := '0';
     print_p(Status_Line1,Stage_S,0,0,20);
     tdraw_bitmap(Status_Line1,148,116,320,8);

     ctrl_pressed := false; space_pressed := false; Time_Counter := 0;
     repeat
           midas_sync;
           if Time_Counter < 5*60 then
           begin
                inc(Time_Counter);
           end;
           if Time_Counter > 1*60 then check_joystick;
     until ctrl_pressed or space_pressed;
     free_music;

     {Save Level}
     for i := 0 to 10000 div 4 do
         MemL[Seg(Level_Backup^):Ofs(Level_Backup^)+i*4] := MemL[Seg(Level^):Ofs(Level^)+i*4];
     {Noch keine Animation}
     for i := 0 to 16 do
     begin Little_Star_X[i] := 0; Little_Star_Y[i] := 0; Little_Star_dy[i] := -127; end;
     {Backup Sprite-Positionen}
     for i := 0 to 31 do
     begin
          Backup_Sprite_X[i] := Enemy_Sprite_X[i];
          Backup_Sprite_Y[i] := Enemy_Sprite_Y[i];
          Backup_Sprite_dx[i] := Enemy_Sprite_dx[i];
          Backup_Sprite_dy[i] := Enemy_Sprite_dy[i];
          Enemy_Sprite_DieCounter[i] := 65535;
          Enemy_Sprite_JumpCounter[i] := random(255);
     end;
     {Noch kein Leben verloren, wichtig fr Sound-Init bei Sterbephase}
     Live_Lost_Times := 0;
     {Create Status-Line}
     Time_Counter := 30; Time := 70;
     print_p(Status_Line1,'   GIANA   BONUS   LIVES  STAGE  TIME',0,0,20);
     str(Lives:2,Lives_S);
     str(Actual_Level:2,Stage_S);

     {Init MOD-Music-card}
     if Palette_Type <> 1 then s := 'GIANA02.VOL'
     else s := 'GIANA03.VOL';
     Play_Music(s);
     {Get Sound-effects}
     effect1 := LoadEffect(toASCIIZ(ASCIIstr, 'GIANA11.VOL'), 0); effect_in_use[1] := true;
     effect2 := LoadEffect(toASCIIZ(ASCIIstr, 'GIANA12.VOL'), 0); effect_in_use[2] := true;
     effect3 := LoadEffect(toASCIIZ(ASCIIstr, 'GIANA13.VOL'), 0); effect_in_use[3] := true;
     effect4 := LoadEffect(toASCIIZ(ASCIIstr, 'GIANA14.VOL'), 0); effect_in_use[4] := true;
     for i := 0 to 1 do
     begin
          set_active_page(i);
          clear_vga_screen(0);
     end;
     Live_Lost := false; Level_Completed := false;
     Level_Offset_Bak := Level_Offset; Scroll_X := 0; Scroll_Speed := 0;
     SprX := 20; SprY := 20; dy := 0; dx := 0;
     Anim_Counter := 0; Anim_Wait := 0; Anim_dx := 1;

     Up := false; Left := false; right := false; Jump := false;
     Jump := false; Up_Release := true; esc_pressed := false;

     {set_active_page(0);
     fill_block(10,0,12,360,255);
     print_str('CPU-USAGE',20,5,255,0);
     set_active_page(1);
     fill_block(10,0,12,360,255);
     print_str('CPU-USAGE',20,5,255,0);}

     for y := 0 to 24 do
         for x := 0 to 39 do
         begin
              Pexel := Mem[Seg(Level^):Ofs(Level^)+y+x*25+Level_Offset];
              Draw_Virtual_Pexel(Pexel,x,y);
         end;
     Active_Page := 0;
     repeat
           {Tastaturpuffer lschen}
           asm cli end;
           MemW[$40:$1a] := MemW[$40:$1C];
           asm sti end;
           {Boden unter den Fen erkannt}
           if (Pexel_under_Sprite(Level_Offset,SprX+Scroll_X+3,SprY+24) > 0) and
              (SprY > 20) and (Live_Lost = false) then
           begin dy := 0; SprY := (SprY-20) div 8*8+20; Jump := false; end
           else if Wait_Counter mod 10 = 0 then
           begin
                dyn := 4;
                Jump := true;
                if Up then
                begin
                     case dy of
                          -4 : dyn := -2;
                          -2 : dyn := -1;
                          -1 : if SprY mod 2 = 0 then dyn := 0;
                           0 : dyn := 1;
                           1 : if SprY mod 2 = 0 then dyn := 2;
                           2 : dyn := 4;
                     end;
                end
                else
                begin
                     case dy of
                          -4 : dyn := -1;
                          -2 : dyn := 0;
                          -1 : if SprY mod 2 = 0 then dyn := 0;
                           0 : dyn := 1;
                           1 : if SprY mod 2 = 0 then dyn := 2;
                           2 : dyn := 4;
                     end;
                end;
                dy := dyn;
           end;

           {Folgende Komponenten nur prfen wenn am Leben}
           if Live_Lost = false then
           begin
           {Sprungkraft verringen wenn kein "Hoch" mehr}
           if (not Up) and (dy < -2) then begin dy := -2; Wait_Counter := 7; end;
           {Neuer Sprung erkannt}
           if Up and (Pexel_under_Sprite(Level_Offset,SprX+Scroll_X+2,SprY+24) > 0) and Up_Release then
              begin dy := -4; Wait_Counter := 0; Jump := true; Up_Release := false; PlayEffect(effect2, 5500, 40, 0); end;
           {Sprung gegen Decke erkannt}
           if (Pexel_under_Sprite(Level_Offset,SprX+Scroll_X+2,SprY) > 0) and (SprY >= 20) then
           begin
                dy := 1; Wait_Counter := 9;
                {if Right then inc(SprX,dx);
                if Left and (SprX > 24) then inc(SprX,dx);}
           end;
           end; {of if (Live_Lost = false)}

           {Level sollte scrollen? Scroll-Speed setzen}
           if (SprX > 160+20) and (mem[Seg(Level^):Ofs(Level^)+Level_Offset+25*40] <> 255)
           then begin if dx > 0 then Scroll_Speed := dx; SprX := 160+20; end
           else Scroll_Speed := 0;


           {Geschwindigkeit x-Richtung}
           if (Live_Lost = false) then
           begin
                if right and (Wait_Counter2 mod 8 = 0) and (dx < 2) and (SprX < 315) then inc(dx);
                if left and (Wait_Counter2 mod 8 = 0) and (dx > -2) then dec(dx);
                if (not right) and (not left) and (dx <> 0) and (Wait_Counter2 mod 8 = 0) then
                begin
                     if dx < 0 then inc(dx) else dec(dx)
                end;
           end;

           {Nicht nach links raus aus Screen rennen}
           if (SprX < 22) and (dx < 0) then begin SprX := 20; dx := 0; end;
           {Nicht nach rechts aus Screen rennen}
           if (SprX > 315) and (dx > 0) then begin SprX := 315; dx := 0; end;

           {Nicht nach rechts/links in Wand rennen}
           {rechts geg. Wand}
           if (dx > 0) and (SprY > 20) then
           if (Pexel_Right2_Sprite(Level_Offset,SprX+Scroll_X+12+dx,SprY+16) <> 0) then dx := 0;
           {links geg. Wand}
           if (dx < 0) and (SprY > 20) then
           if (Pexel_Right2_Sprite(Level_Offset,SprX+Scroll_X+dx-6,SprY+16) <> 0) then dx := 0;

           {Animation Giana Sprite}
           if dx = 0 then
           begin
                if Anim_Counter >= 5 then Anim_Counter := 5
                else Anim_Counter := 0;
           end;
           if (dx > 0) and (Anim_Wait mod 6 =0) and (not Jump) then
           begin
                if not (Anim_Counter in [1..3]) then Anim_Counter := 1;
                if Anim_Counter = 1 then Anim_dx := 1;
                if Anim_Counter = 3 then Anim_dx := -1;
                inc(Anim_Counter,Anim_dx);
           end;
           if (dx < 0) and (Anim_Wait mod 6 =0) and (not Jump) then
           begin
                if not (Anim_Counter in [6..8]) then Anim_Counter := 6;
                if Anim_Counter = 6 then Anim_dx := 1;
                if Anim_Counter = 8 then Anim_dx := -1;
                inc(Anim_Counter,Anim_dx);
           end;
           if Right and (dx < 0) then Anim_Counter := 3;
           if Left and (dx > 0) then Anim_Counter := 8;

           if Jump and (Anim_Counter < 5) then Anim_Counter := 4;
           if Jump and (Anim_Counter >= 5) then Anim_Counter := 9;

           if Jump and Right then Anim_Counter := 4;
           if Jump and Left then Anim_Counter := 9;

           {Prfen ob Leben verloren-nur wenn noch am Leben}
           if (SprY > 200) then Live_Lost := true;
           if (SprY >= 20) then begin
           {Wasser}
           if Get_Pexel(Level_Offset,SprX+Scroll_X+2,SprY+24)
              in [8..11] then Live_Lost := true;
           {Feuer}
           if (Get_Pexel(Level_Offset,SprX+8,SprY+23) in [60..63,100..103]) or
              (Get_Pexel(Level_Offset,SprX+16,SprY+23) in [60..63,100..103])
              then Live_Lost := true;
           {Rote Spitze}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X,SprY+23) in [157,196..198,236..238]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+12,SprY+23) in [157,196..198,236..238])
               then Live_Lost := true;
           {Spikes}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X+2,SprY+23) in [106..109]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+23) in [106..109])
               then Live_Lost := true;
           {Level vorbei = Pexel 255}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X+2,SprY+23) or
              Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+23))
              = 255 then Level_Completed := true;

           {Prfen auf Bonus-nur wenn noch am Leben}
           if (Live_Lost = false) then
           begin
           {Diamant oben berhrt?}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X,SprY+04) in [43,44,83,84]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+04) in [43,44,83,84]) then
           begin
                PlayEffect(effect1, FXRATE, 64, 0);
                inc(Score,10); inc(Bonus);
                Clear_Diamond(Level_Offset,SprX,SprY+04);
           end else
           {Diamant mit Fssen berhrt?}
           if (Get_Pexel(Level_Offset,SprX+Scroll_X,SprY+20) in [43,44,83,84]) or
              (Get_Pexel(Level_Offset,SprX+Scroll_X+2+15,SprY+20) in [43,44,83,84]) then
           begin
                PlayEffect(effect1, FXRATE, 64, 0);
                inc(Score,10); inc(Bonus);
                Clear_Diamond(Level_Offset,SprX,SprY+20);
           end;
           {Prfen auf Stern}
           if (Get_Pexel(Level_Offset,SprX-Scroll_X,SprY) in [85..87]) or
               (Get_Pexel(Level_Offset,SprX+8-Scroll_X,SprY) in [85..87]) or
               (Get_Pexel(Level_Offset,SprX+16-Scroll_X,SprY) in [85..87]) then
           begin
                 if Clear_Star(Level_Offset,SprX,SprY) then
                 begin
                      PlayEffect(effect1, FXRATE, 64, 0);
                      inc(Score,5); inc(Bonus);
                      dy := 1;
                      Wait_Counter := 9;
                      {Freien Little_Star fr Animation suchen}
                      for i := 0 to 15 do
                           if little_star_dy[i] = -127 then
                           begin
                                little_star_dy[i] := -3;
                                little_star_x[i] := SprX+12;
                                little_star_y[i] := SprY-16;
                                i := 15;
                           end;
                 end;
           end;
           end; {of if (Live_Lost = false)}
           end; {of if (SprY >= 20)}

           {Kleine Sterne bewegen}
           for i := 0 to 15 do
                if little_star_dy[i] > -127 then
                begin
                     dec(Little_star_X[i],Scroll_Speed);
                     if Wait_Counter mod 5 = 0 then if little_star_dy[i] < 6 then inc(little_star_dy[i]);
                     inc(little_star_y[i],little_star_dy[i]);
                     if (little_star_y[i] > 200) or (little_star_x[i] < 20)
                        then little_star_dy[i] := -127;
                     if (little_star_y[i] > 20) and (little_star_y[i] < 222)
                        then tdraw_bitmap(Little_Star,Little_star_X[i],Little_Star_Y[i],8,8);
                end;

           SprY := SprY+dy;
           SprX := SprX+dx;
           Wait_Counter:=(Wait_Counter+1) mod 20;
           inc(Wait_Counter2);
           inc(Anim_Wait);
           Active_Page := (Active_Page + 1) mod 2;
           set_active_page(Active_Page);
           if Scroll_Speed > 0 then
           asm
               push ds
               mov bx, Scroll_Speed
               mov ax, My_ScreenS
               mov es, ax
               mov di, My_ScreenO

               mov ds, ax
               mov si, di
               add si, bx
               cld
               mov cx, 160*200
               rep movsw
               pop ds
           end;
           inc(Scroll_X,Scroll_Speed);
           if Scroll_X >= 8 then
           begin
                Scroll_X := Scroll_X mod 8;
                inc(Level_Offset,25);
                if Level_Offset > 25*40*9 then
                begin
                     Set_active_page(0);
                     clear_vga_screen(0);
                     set_display_page(0);
                     exit;
                end;
           end;
           {Weggescrollten Border auf Virtual Screen zeichnen}
           Draw_Border(Level_Offset,Scroll_X);
           {Virtual screen nach ModeX kopieren}
           draw_bitmap(My_Screen,20,20,320,200);

           {Gegner zeichnen}
           Draw_Sprites_In_Game;
           {Abfrage Kollision mit Gegnern}
           if (Live_Lost = false) then
           for i := 0 to 31 do
               if Enemy_Sprite_AnimCounter[i] in [0..3,5..8] then
               begin
                    EnemyX := Enemy_Sprite_X[i]-(Level_Offset div 25)*8+20-Scroll_X;
                    EnemyY := Enemy_Sprite_Y[i]+20+6;
                    {Sonderbehandlung Jump-Ball}
                    if Enemy_Sprite_Type[i] = 6 then EnemyY := Enemy_Sprite_Y[i]+20+6-Jump_Table[Enemy_Sprite_JumpCounter[i]];
                    {Draufgesprungen?}
                    if (abs(EnemyX-SprX) < 16) and                {Nur erlaubt bei spez. Gegnern}
                       (abs(EnemyY-18-SprY) < 8) and (dy > 0) and (Enemy_Sprite_Type[i] in [0,1,2,3,4]) then
                       begin
                            {Wenn nach oben gedrckt, dann gibt Monster Schwung}
                            if Up then begin dy := -4; Up_release := false; end else dy := -2;
                            if Enemy_Sprite_AnimCounter[i] < 4 then Enemy_Sprite_AnimCounter[i] := 4
                               else Enemy_Sprite_AnimCounter[i] := 9;
                            Wait_Counter := 1;
                            Enemy_Sprite_DieCounter[i] := 0;
                            PlayEffect(effect3, 4000, 64, 0);
                       end
                    else
                    {Kollision mit Todesfolge?}
                    if (abs(EnemyX-SprX) < 20) and
                       (abs(EnemyY-SprY) < 16) then Live_Lost := true;
               end;

           {Giana Sprite Y-Clipping}
           if (Live_Lost = false) then
           begin
                {if SprY >= 20 then tdraw_bitmap(Giana_Spr[Anim_Counter],SprX,SprY,24,24)
                else if SprY+4 > 0 then tdraw_bitmap(ptr(Seg(Giana_Spr[Anim_Counter]^),
                     Ofs(Giana_Spr[Anim_Counter]^)+24*(20-SprY)),SprX,20,24,SprY+4);}
                if (SprY >= 20) and (SprY < 198) then tdraw_bitmap(Giana_Spr[Anim_Counter],SprX,SprY,24,24)
                else if SprY >= 20 then
                begin {Unten Clipping}
                     if SprY < 220 then tdraw_bitmap(Giana_Spr[Anim_Counter],SprX,SprY,24,220-SprY)
                end   {Oben Clipping}
                else if SprY+4 > 0 then tdraw_bitmap(ptr(Seg(Giana_Spr[Anim_Counter]^),
                     Ofs(Giana_Spr[Anim_Counter]^)+24*(20-SprY)),SprX,20,24,SprY+4);
           end
           else
           begin
                if (SprY >= 20) and (SprY < 198) then tdraw_bitmap(Giana_Spr[10],SprX,SprY,24,24)
                else if SprY >= 20 then
                begin {Unten Clipping}
                     if SprY < 220 then tdraw_bitmap(Giana_Spr[10],SprX,SprY,24,220-SprY)
                end   {Oben Clipping}
                else if SprY+4 > 0 then tdraw_bitmap(ptr(Seg(Giana_Spr[10]^),
                     Ofs(Giana_Spr[10]^)+24*(20-SprY)),SprX,20,24,SprY+4);
           end;

           {Color Animations}
           Do_Star_Animation;
           {Status Line}
           if (Bonus+1) mod 100 = 0 then
           begin
                Bonus := 0;
                inc(Lives);
                str(Lives:2,Lives_S);
                PlayEffect(effect4, 8500, 64, 0);
                PlayEffect(effect4, 8500, 64, 0);
           end;
           Time_Counter := (Time_Counter+1) mod 60;
           if (Time_Counter = 0) and (Time > 0) then dec(Time);
           tdraw_bitmap(Status_Line1,20,21,320,7);
           str(Score:6,Score_S); str(Bonus:2,Bonus_S);
           str(Time:2,Time_S);
           print_p(Status_Line2,'  '+Score_S+'      '+Bonus_S+'    '+Lives_S+'      '+Stage_S+'     '+Time_S,
            0,0,20);
           tdraw_bitmap(Status_Line2,20,29,320,8);

           {Frisch gestorben? Dann sterbemusik starten und hochspringen?}
           if ((Live_Lost_Times = 0) and (Live_Lost)) or ((Time = 0) and (Live_Lost_Times = 0)) then
           begin
                dy := -4; dx := 0; Wait_Counter := 1; Live_Lost := true;
                Live_Lost_Times := 1;
                Free_Music;
                Play_Music('GIANA08.VOL');
           end;
           set_dac_register(255,0,0,0);
           check_joystick;
           set_display_page(Active_Page mod 2);
           set_dac_register(255,63,63,63);
     until esc_pressed or (Live_Lost and (SprY > 220)) or Level_Completed;

     if Live_Lost or (Time = 0) then begin dec(Lives); Bonus := 0; end
        else inc(Actual_Level);
     {Wenn Level beendet, dann Rest der Zeit auf Score zhlen}
     if (Live_Lost = false) and (Time > 0) and (not esc_pressed) then
     begin
          set_active_page(0);
          clear_vga_screen(0);
          set_display_page(0);
          print_p(Status_Line1,'TIME      BONUS      SCORE',0,0,20);
          tdraw_bitmap(Status_Line1,72,100,320,7);
          for i := Time downto 0 do
          begin
               if i mod 6 = 0 then PlayEffect(effect1, FXRATE, 64, -40);
               str(Score:6,Score_S); str(Bonus:2,Bonus_S);
               str(i:2,Time_S);
               for j := 1 to 5 do if Score_S[j] = #32 then Score_S[j] := '0';
               inc(Score,10);
               print_p(Status_Line1,'  '+Time_S+'    X    10  =  '+Score_S,0,0,20);
               fill_block(72,116,320,123,0);
               tdraw_bitmap(Status_Line1,72,116,320,8);
               for j := 0 to 2 do
               begin
                    midas_sync;
               end;
          end;
     end;
     if Time = 0 then
     begin
          set_active_page(0);
          clear_vga_screen(0);
          set_display_page(0);
          print_p(Status_Line1,'GIANA',0,0,20);
          tdraw_bitmap(Status_Line1,160,84,320,7);
          print_p(Status_Line1,'OUT OF TIME!',0,0,20);
          tdraw_bitmap(Status_Line1,132,100,320,7);
          for i := 0 to 140 do
          begin
               midas_sync;
          end;
     end;
     if Lives = 0 then
     begin
          set_active_page(0);
          clear_vga_screen(0);
          set_display_page(0);
          print_p(Status_Line1,'GAME OVER!',0,0,20);
          tdraw_bitmap(Status_Line1,140,100,320,7);
          for i := 0 to 180 do
          begin
               midas_sync;
          end;
     end;

     if (not esc_pressed) then for i := 0 to 60 do
     begin
          midas_sync;
     end;
     if esc_pressed then begin lives := 0; repeat until not esc_pressed; end;
     {Free music-card}
     free_music;

     {Restore Level}
     for i := 0 to 10000 div 4 do
         MemL[Seg(Level^):Ofs(Level^)+i*4] := MemL[Seg(Level_Backup^):Ofs(Level_Backup^)+i*4];
     {Reanimation von Sprites}
     for i := 0 to 31 do
     begin
          Enemy_Sprite_X[i] := Backup_Sprite_X[i];
          Enemy_Sprite_Y[i] := Backup_Sprite_Y[i];
          Enemy_Sprite_dx[i] := Backup_Sprite_dx[i];
          Enemy_Sprite_dy[i] := Backup_Sprite_dy[i];
          if Enemy_Sprite_X[i] > 0 then Enemy_Sprite_AnimCounter[i] := 0;
     end;
     Clear_Vga_Screen(0);
     Level_Offset := Level_Offset_Bak;
     Scroll_X := 0;
end;
procedure Title_Screen;
var i,x,y:word;
    Active_Page : Byte;
    Pexel:Byte;
    Level_Offset : word;
    Scroll_X : word;
    Text_X : Byte;
    Text_Pos : Byte;
    Status2_S, Status2_O : word;
const Text:string = '-   GRAPHICS BY KYP   -   MUSIC BY TU   -   CODE BY MYTH    -   '
                   +'LEVELS BY DEEJAY99/KYP/MYTH/SHINE/HAN SOLO   ';
begin
     {Init Music}
     Play_Music('GIANA04.VOL');

     Init_Level(@Title);
     Level := ptr(Seg(Title),Ofs(Title)+129);
     clear_vga_screen(0);
     set_active_page(0);
     Level_Offset := 0; Scroll_X := 0; Pressed_1 := false; Pressed_2 := false;
     Text_X := 0; Text_Pos := 1;
     {Status-Line}
     print_p(Status_Line1,'PRESS "1" OR "2" FOR ONE-PLAYER GAME',0,0,20);

     for y := 0 to 24 do
         for x := 0 to 39 do
         begin
              Pexel := Mem[Seg(Level^):Ofs(Level^)+y+x*25+0];
              Draw_Virtual_Pexel(Pexel,x,y);
         end;
     Active_Page := 0; Status2_S := seg(Status_Line2^); Status2_O := Ofs(Status_Line2^);
     fillChar(Status_Line2^,320*8,0); ctrl_pressed := false; esc_pressed := false;

     repeat
           Active_Page := (Active_Page + 1) mod 2;
           set_active_page(Active_Page);
           do_star_animation;
           asm
               push ds
               mov ax, My_ScreenS
               mov es, ax
               mov di, My_ScreenO

               mov ds, ax
               mov si, di
               add si,2
               cld
               mov cx, 160*200
               rep movsw

               mov ax, Status2_S
               mov es, ax
               mov di, Status2_O

               mov ds, ax
               mov si, di
               inc si
               cld
               mov cx, 160*8
               rep movsw
               pop ds
           end;
           inc(Scroll_X,2);
           if Scroll_X >= 8 then
           begin
                Scroll_X := Scroll_X mod 8;
                inc(Level_Offset,25);
                if Mem[Seg(Level^):Ofs(Level^)+Level_Offset+40*25]=255 then Level_Offset := 65536-39*25;
           end;
           inc(Text_X);
           if Text_X >= 8 then
           begin
                Text_X := 0;
                inc(Text_Pos);
                if Text_Pos > length(Text) then Text_Pos := 1;
           end;
           printchar_p( ptr(seg(Status_Line2^),Ofs(Status_Line2^)+318-Text_X),text[text_pos],0,0,20);
           Draw_Border(Level_Offset,Scroll_X);
           draw_bitmap(My_Screen,20,20,320,200);
           tdraw_bitmap(Status_Line1,40,21,320,8);
           tdraw_bitmap(Status_Line2,16,38,320,8);
           fill_block(16,38,16+8,38+8,0);
           check_joystick;
           set_display_page(Active_Page mod 2);
     until pressed_1 or pressed_2 or ctrl_pressed or esc_pressed;
     {Free music-card}
     free_music;
end;
procedure Init_Mem;
var i,j:word;
begin
     Pexel_Screen := @Pexel1;
     getmem(Status_Line1,320*8);
     getmem(Status_Line2,320*8);
     {getmem(Level_Backup,10000);}
     {Speichersparen indem Sprites berschrieben werden}
     Level_Backup := @sprites1;

     getmem(Level,40*25*10);
     for i := 0 to 40*25*10 do Mem[Seg(Level^):Ofs(Level^)+i] := 0;
     getmem(My_Screen,64000);
     My_ScreenS := Seg(My_Screen^); My_ScreenO := Ofs(My_Screen^);

     for i := 0 to 11 do for j := 0 to 13 do Star_Animation_Color[i,j] := 0;
     for i := 0 to 8 do for j := 0 to 8 do Fire_Animation_Color[i,j] := 0;
     for i := 0 to 11 do for j := 0 to 7 do Spike_Animation_Color[i,j] := 0;

     for i := 0 to 31 do
     begin
          Enemy_Sprite_AnimCounter[i] := 255;
          Enemy_Sprite_X[i] := 0;
          Enemy_Sprite_Y[i] := 0;
          Enemy_Sprite_Type[i] := 0;
     end;
     {Set Star-Colors}
     {Groer Stern}
             {Gold}
     Star_Animation_Color[0,0] := $f1;
     Star_Animation_Color[0,1] := $f3;
     Star_Animation_Color[0,2] := $f2;
     Star_Animation_Color[0,3] := $f7;
     Star_Animation_Color[0,4] := $f8;
     Star_Animation_Color[0,5] := $e4;
     Star_Animation_Color[0,6] := $00;
             {Dunkel Gold}
     Star_Animation_Color[1,0] := $f0;
     Star_Animation_Color[1,1] := $f5;
     Star_Animation_Color[1,2] := $fe;
     Star_Animation_Color[1,3] := $e3;
     Star_Animation_Color[1,4] := $00;
             {Dunkel}
     Star_Animation_Color[2,0] := $f6;
     Star_Animation_Color[2,1] := $f9;
     Star_Animation_Color[2,2] := $fa;
     Star_Animation_Color[2,3] := $fb;
     Star_Animation_Color[2,4] := $fc;
     Star_Animation_Color[2,5] := $fd;
     Star_Animation_Color[2,6] := $e0;
     Star_Animation_Color[2,7] := $e1;
     Star_Animation_Color[2,8] := $e2;
     Star_Animation_Color[2,9] := $00;

     {Stern 2}
             {Gold}
     Star_Animation_Color[3,0] := $f2;
     Star_Animation_Color[3,1] := $f5;
     Star_Animation_Color[3,2] := $f7;
     Star_Animation_Color[3,3] := $f8;
     Star_Animation_Color[3,4] := $fd;
     Star_Animation_Color[3,5] := $fe;
     Star_Animation_Color[3,6] := $e3;
     Star_Animation_Color[3,7] := $e4;
     Star_Animation_Color[3,8] := $00;
             {Dunkel Gold}
     Star_Animation_Color[4,0] := $f3;
     Star_Animation_Color[4,1] := $f6;
     Star_Animation_Color[4,2] := $e2;
     Star_Animation_Color[4,3] := $00;
             {Dunkel}
     Star_Animation_Color[5,0] := $f1;
     Star_Animation_Color[5,1] := $f0;
     Star_Animation_Color[5,2] := $f9;
     Star_Animation_Color[5,3] := $fa;
     Star_Animation_Color[5,4] := $fb;
     Star_Animation_Color[5,5] := $fc;
     Star_Animation_Color[5,6] := $e0;
     Star_Animation_Color[5,7] := $e1;
     Star_Animation_Color[5,8] := $00;

     {Stern 3}
            {Gold}
     Star_Animation_Color[6,0] := $fc;
     Star_Animation_Color[6,1] := $fd;
     Star_Animation_Color[6,2] := $fe;
     Star_Animation_Color[6,3] := $e1;
     Star_Animation_Color[6,4] := $e2;
     Star_Animation_Color[6,5] := $e3;
     Star_Animation_Color[6,6] := $e4;
     Star_Animation_Color[6,7] := $00;
            {Dunkel Gold}
     Star_Animation_Color[7,0] := $f8;
     Star_Animation_Color[7,1] := $fb;
     Star_Animation_Color[7,2] := $e0;
     Star_Animation_Color[7,3] := $00;
            {Dunkel}
     Star_Animation_Color[8,0] := $f1;
     Star_Animation_Color[8,1] := $f3;
     Star_Animation_Color[8,2] := $f2;
     Star_Animation_Color[8,3] := $f0;
     Star_Animation_Color[8,4] := $f5;
     Star_Animation_Color[8,5] := $f6;
     Star_Animation_Color[8,6] := $f7;
     Star_Animation_Color[8,7] := $f9;
     Star_Animation_Color[8,8] := $fa;
     Star_Animation_Color[8,9] := $00;

     {Stern 4}
            {Gold}
     Star_Animation_Color[9,0] := $fa;
     Star_Animation_Color[9,1] := $fb;
     Star_Animation_Color[9,2] := $fc;
     Star_Animation_Color[9,3] := $fd;
     Star_Animation_Color[9,4] := $fe;
     Star_Animation_Color[9,5] := $00;
            {Dunkel Gold}
     Star_Animation_Color[10,0] := $f9;
     Star_Animation_Color[10,1] := $00;
            {Dunkel}
     Star_Animation_Color[11,0] := $f1;
     Star_Animation_Color[11,1] := $f3;
     Star_Animation_Color[11,2] := $f2;
     Star_Animation_Color[11,3] := $f0;
     Star_Animation_Color[11,4] := $f5;
     Star_Animation_Color[11,5] := $f6;
     Star_Animation_Color[11,6] := $f7;
     Star_Animation_Color[11,7] := $f8;
     Star_Animation_Color[11,8] := $e0;
     Star_Animation_Color[11,9] := $e1;
     Star_Animation_Color[11,10] := $e2;
     Star_Animation_Color[11,11] := $e3;
     Star_Animation_Color[11,12] := $e4;
     Star_Animation_Color[11,13] := $00;

     {Feuer Animation}
     {Animation #1 - Color1}
     Fire_Animation_Color[00,00] := $22;
     Fire_Animation_Color[00,01] := $25;
     Fire_Animation_Color[00,02] := $26;
     Fire_Animation_Color[00,03] := $2a;
     Fire_Animation_Color[00,04] := $2f;
     Fire_Animation_Color[00,05] := $32;
     Fire_Animation_Color[00,06] := $36;
     Fire_Animation_Color[00,07] := $38;

     {Animation #1 - Color2}
     Fire_Animation_Color[01,00] := $20;
     Fire_Animation_Color[01,01] := $21;
     Fire_Animation_Color[01,02] := $27;
     Fire_Animation_Color[01,03] := $29;
     Fire_Animation_Color[01,04] := $2c;
     Fire_Animation_Color[01,05] := $30;
     Fire_Animation_Color[01,06] := $31;
     Fire_Animation_Color[01,07] := $33;

     {Animation #1 - Color3}
     Fire_Animation_Color[02,00] := $23;
     Fire_Animation_Color[02,01] := $24;
     Fire_Animation_Color[02,02] := $2b;
     Fire_Animation_Color[02,03] := $2d;
     Fire_Animation_Color[02,04] := $2e;
     Fire_Animation_Color[02,05] := $34;
     Fire_Animation_Color[02,06] := $35;
     Fire_Animation_Color[02,07] := $37;

     {Animation #2 - Color1}
     Fire_Animation_Color[03,00] := $20;
     Fire_Animation_Color[03,01] := $24;
     Fire_Animation_Color[03,02] := $26;
     Fire_Animation_Color[03,03] := $29;
     Fire_Animation_Color[03,04] := $31;
     Fire_Animation_Color[03,05] := $32;
     Fire_Animation_Color[03,06] := $37;

     {Animation #2 - Color2}
     Fire_Animation_Color[04,00] := $22;
     Fire_Animation_Color[04,01] := $23;
     Fire_Animation_Color[04,02] := $27;
     Fire_Animation_Color[04,03] := $2a;
     Fire_Animation_Color[04,04] := $2c;
     Fire_Animation_Color[04,05] := $2d;
     Fire_Animation_Color[04,06] := $2e;
     Fire_Animation_Color[04,07] := $2f;
     Fire_Animation_Color[04,08] := $34;

     {Animation #2 - Color3}
     Fire_Animation_Color[05,00] := $21;
     Fire_Animation_Color[05,01] := $25;
     Fire_Animation_Color[05,02] := $2b;
     Fire_Animation_Color[05,03] := $30;
     Fire_Animation_Color[05,04] := $33;
     Fire_Animation_Color[05,05] := $35;
     Fire_Animation_Color[05,06] := $36;
     Fire_Animation_Color[05,07] := $38;

     {Animation #3 - Color1}
     Fire_Animation_Color[06,00] := $27;
     Fire_Animation_Color[06,01] := $20;
     Fire_Animation_Color[06,02] := $22;
     Fire_Animation_Color[06,03] := $33;
     Fire_Animation_Color[06,04] := $34;
     Fire_Animation_Color[06,05] := $24;
     Fire_Animation_Color[06,06] := $35;

     {Animation #3 - Color2}
     Fire_Animation_Color[07,00] := $26;
     Fire_Animation_Color[07,01] := $23;
     Fire_Animation_Color[07,02] := $21;
     Fire_Animation_Color[07,03] := $29;
     Fire_Animation_Color[07,04] := $2a;
     Fire_Animation_Color[07,05] := $2b;
     Fire_Animation_Color[07,06] := $25;
     Fire_Animation_Color[07,07] := $38;

     {Animation #2 - Color3}
     Fire_Animation_Color[08,00] := $2c;
     Fire_Animation_Color[08,01] := $2d;
     Fire_Animation_Color[08,02] := $2e;
     Fire_Animation_Color[08,03] := $2f;
     Fire_Animation_Color[08,04] := $30;
     Fire_Animation_Color[08,05] := $31;
     Fire_Animation_Color[08,06] := $32;
     Fire_Animation_Color[08,07] := $36;
     Fire_Animation_Color[08,08] := $37;
     {Spikes}
     {Animation #1 - Color 1}
     Spike_Animation_Color[00,00] := $b3;
     Spike_Animation_Color[00,01] := $b4;
     Spike_Animation_Color[00,02] := $ba;
     Spike_Animation_Color[00,03] := $bb;
     Spike_Animation_Color[00,04] := $be;
     Spike_Animation_Color[00,05] := $bf;
     Spike_Animation_Color[00,06] := $c0;
     Spike_Animation_Color[00,07] := $c1;
     {Animation #1 - Color 2}
     Spike_Animation_Color[01,00] := $b1;
     Spike_Animation_Color[01,01] := $b5;
     Spike_Animation_Color[01,02] := $b7;
     Spike_Animation_Color[01,03] := $b9;
     {Animation #1 - Color 3}
     Spike_Animation_Color[02,00] := $b0;
     Spike_Animation_Color[02,01] := $b2;
     Spike_Animation_Color[02,02] := $b6;
     Spike_Animation_Color[02,03] := $b8;
     Spike_Animation_Color[02,04] := $bc;
     Spike_Animation_Color[02,05] := $bd;
     Spike_Animation_Color[02,06] := $c2;
     Spike_Animation_Color[02,07] := $c3;
     {Animation #2 - Color 1}
     Spike_Animation_Color[03,00] := $b0;
     Spike_Animation_Color[03,01] := $b1;
     Spike_Animation_Color[03,02] := $ba;
     Spike_Animation_Color[03,03] := $bb;
     Spike_Animation_Color[03,04] := $bc;
     Spike_Animation_Color[03,05] := $bd;
     Spike_Animation_Color[03,06] := $c0;
     Spike_Animation_Color[03,07] := $c1;
     {Animation #2 - Color 2}
     Spike_Animation_Color[04,00] := $b2;
     Spike_Animation_Color[04,01] := $b4;
     Spike_Animation_Color[04,02] := $b7;
     Spike_Animation_Color[04,03] := $b9;
     {Animation #2 - Color 3}
     Spike_Animation_Color[05,00] := $b3;
     Spike_Animation_Color[05,01] := $b5;
     Spike_Animation_Color[05,02] := $b6;
     Spike_Animation_Color[05,03] := $b8;
     Spike_Animation_Color[05,04] := $be;
     Spike_Animation_Color[05,05] := $bf;
     Spike_Animation_Color[05,06] := $c2;
     Spike_Animation_Color[05,07] := $c3;
     {Animation #3 - Color 1}
     Spike_Animation_Color[06,00] := $b3;
     Spike_Animation_Color[06,01] := $b4;
     Spike_Animation_Color[06,02] := $b6;
     Spike_Animation_Color[06,03] := $b7;
     Spike_Animation_Color[06,04] := $be;
     Spike_Animation_Color[06,05] := $bf;
     Spike_Animation_Color[06,06] := $c0;
     Spike_Animation_Color[06,07] := $c1;
     {Animation #3 - Color 2}
     Spike_Animation_Color[07,00] := $b1;
     Spike_Animation_Color[07,01] := $b5;
     Spike_Animation_Color[07,02] := $b8;
     Spike_Animation_Color[07,03] := $bb;
     {Animation #3 - Color 3}
     Spike_Animation_Color[08,00] := $b0;
     Spike_Animation_Color[08,01] := $b2;
     Spike_Animation_Color[08,02] := $b9;
     Spike_Animation_Color[08,03] := $ba;
     Spike_Animation_Color[08,04] := $bc;
     Spike_Animation_Color[08,05] := $bd;
     Spike_Animation_Color[08,06] := $c2;
     Spike_Animation_Color[08,07] := $c3;
     {Animation #4 - Color 1}
     Spike_Animation_Color[09,00] := $bd;
     Spike_Animation_Color[09,01] := $b1;
     Spike_Animation_Color[09,02] := $b4;
     Spike_Animation_Color[09,03] := $bf;
     Spike_Animation_Color[09,04] := $b9;
     Spike_Animation_Color[09,05] := $ba;
     Spike_Animation_Color[09,06] := $bb;
     Spike_Animation_Color[09,07] := $c3;
     {Animation #4 - Color 2}
     Spike_Animation_Color[10,00] := $bc;
     Spike_Animation_Color[10,01] := $be;
     Spike_Animation_Color[10,02] := $c1;
     Spike_Animation_Color[10,03] := $c2;
     {Animation #4 - Color 3}
     Spike_Animation_Color[11,00] := $b2;
     Spike_Animation_Color[11,01] := $b0;
     Spike_Animation_Color[11,02] := $b5;
     Spike_Animation_Color[11,03] := $b3;
     Spike_Animation_Color[11,04] := $b8;
     Spike_Animation_Color[11,05] := $b6;
     Spike_Animation_Color[11,06] := $b7;
     Spike_Animation_Color[11,07] := $c0;

end;
procedure Init_Sprites;
var x,y:word;
    P_S,P_O:word;
    i,j:word;
begin
     {Achtung Sprite-Daten liegen in Auflsung 160x160 vor!}
     {Sprites holen}
     P_S := Seg(sprites1); P_O := Ofs(sprites1)+786;
     for i := 0 to 10 do getmem(Giana_Spr[i],24*24);
     {Sprites normal}
     for i := 0 to 4 do
         for y := 0 to 23 do
             for x := 0 to 23 do
                 Mem[Seg(Giana_Spr[i]^):Ofs(Giana_Spr[i]^)+y*24+x] :=
                 Mem[P_S:P_O+i*24+y*160+x];
     {SterbeSprite}
     for y := 0 to 23 do
         for x := 0 to 23 do
             Mem[Seg(Giana_Spr[10]^):Ofs(Giana_Spr[10]^)+y*24+x] :=
             Mem[P_S:P_O+y*160+x+5*24];
     {Sprites X-flipped}
     for i := 0 to 4 do
         for y := 0 to 23 do
             for x := 0 to 23 do
                 Mem[Seg(Giana_Spr[i+5]^):Ofs(Giana_Spr[i+5]^)+y*24+x] :=
                 Mem[P_S:P_O+i*24+y*160+23-x];
     {Kleiner Stern}
     getmem(Little_Star,70);  {Kleiner Stern Sprite Puffer}
     for y := 0 to 7 do
         for x := 0 to 7 do
             Mem[Seg(Little_Star^):Ofs(Little_Star^)+y*8+x] :=
             Mem[P_S:P_O+24*160+y*160+x];
     {Enemy Sprites}
     for i := 0 to 6 do
         for j := 0 to 10 do getmem(Enemy_Sprite[i,j],24*18+2);

     {x-flipped "(23-x)", wenn Bewegung nach links}
     for j := 0 to 6 do
     for i := 0 to 4 do
         for y := 0 to 17 do
             for x := 0 to 23 do
             Mem[Seg(Enemy_Sprite[j,i]^):Ofs(Enemy_Sprite[j,i]^)+y*24+x] :=
             Mem[P_S:P_O+32*160+y*160+23-x+i*24+j*18*160];
     {normal, wenn Bewegung nach rechts}
     for j := 0 to 6 do
     for i := 0 to 4 do
         for y := 0 to 17 do
             for x := 0 to 23 do
             Mem[Seg(Enemy_Sprite[j,i+5]^):Ofs(Enemy_Sprite[j,i+5]^)+y*24+x] :=
             Mem[P_S:P_O+32*160+y*160+x+i*24+j*18*160];
     {SinTable fr Ballsprung}
     for i := 0 to 255 do Jump_Table[i] := trunc(56*abs(sin(i*pi/64)));
end;
Procedure Print_Centered(s:string;Col,y:Byte);
begin
     print_p(Status_Line1,s,0,0,Col);
     tdraw_bitmap(Status_Line1,180-length(s)*4,y,320,8);
end;
procedure Congrat_Screen;
var i:word;
begin
     Play_Music('GIANA01.VOL');
     set_active_page(0);
     clear_vga_screen(0);
     set_display_page(0);
     print_p(Status_Line1,'YOU DID IT!',0,0,20);
     tdraw_bitmap(Status_Line1,136,84,320,7);
     print_p(Status_Line1,'CONGRATULATIONS',0,0,20);
     tdraw_bitmap(Status_Line1,120,100,320,7);
     Print_Centered('IF YOU LIKE THIS GAME',20,130);
     Print_Centered('PLEASE CONTACT THE AUTHOR:',20,138);
     Print_Centered('SINSCH@STUD.UNI-FRANKFURT.DE',20,146);
     Print_Centered('(PERHAPS THERE''S A LEVEL-UPDATE)',20,162);

     for i := 0 to 110 do
     begin
          midas_sync;
     end;
     repeat
           Check_JoyStick;
     until ctrl_pressed or esc_pressed;
     if JoyFire then
     repeat
           Check_JoyStick;
     until not JoyFire;
     free_music;
end;
procedure Show_JoystickMessage;
var s:string;
begin
     Print_Centered('JOYSTICK/JOYPAD DETECTED!',20,20);
     Print_Centered('TO CALIBRATE',20,50);
     Print_Centered('PLEASE MOVE TO ALL DIRECTIONS',20,58);
     Print_Centered('HIT FIRE TO CONTINUE',20,180);
     Print_Centered('OR',20,188);
     Print_Centered('PRESS ESC TO USE KEYBOARD',20,196);
     repeat
           check_joystick;
           if JoyRight then
           begin
                print_p(Status_Line1,'RIGHT',0,0,28);
                tdraw_bitmap(Status_Line1,240,120,320,8);
           end else fill_block(240,120,300,128,0);
           if JoyLeft then
           begin
                print_p(Status_Line1,'LEFT',0,0,28);
                tdraw_bitmap(Status_Line1,110,120,320,8);
           end else fill_block(110,120,180,128,0);
           if JoyUp then
           begin
                Print_Centered('UP',28,80);
           end else fill_block(120,80,200,88,0);
           if JoyDown then
           begin
                Print_Centered('DOWN',28,160);
           end else fill_block(120,160,200,168,0);
     until ctrl_pressed or esc_pressed;
     if esc_pressed then joystick_found := false;
     if JoyFire then
     repeat
           Check_JoyStick;
     until not JoyFire;
end;
const Leave : Boolean=false;
var   Level_Pointer : pointer;
begin
     detect_joystick;
     detect_midasconfig;
     if (Paramstr(1) = '/NOJOY') or
        (Paramstr(1) = '/nojoy') then joystick_found := false;
     Init_Mem;
     Set_Modex(6);
     Init_Sprites;
     setallpal;
     GetIntVec(9,@OldInt9);
     SetIntVec(9,@NewInt9);
     if joystick_found then Show_JoystickMessage;
     repeat
           Lives := 4; Actual_Level := 1; Bonus := 0; Score := 0;
           Title_Screen;
           if not esc_pressed then
           begin
                repeat
                      case Actual_Level of
                           1 : Level_Pointer := @Level1;
                           2 : Level_Pointer := @Level2;
                           3 : Level_Pointer := @Level3;
                           4 : Level_Pointer := @Level4;
                           5 : Level_Pointer := @Level5;
                           6 : Level_Pointer := @Level6;
                           7 : Level_Pointer := @Level7;
                           8 : Level_Pointer := @Level8;
                           9 : Level_Pointer := @Level9;
                           10 : begin Congrat_Screen; Lives := 0; end;
                      end;
                      if Actual_Level < 10 then Play_Level(Level_pointer);
                until Lives = 0;
           end else Leave := true;
     until Leave;
     SetIntVec(9,@OldInt9);
     set_text;
     writeln('Giana Sisters Release V1.31',#13#10);
     writeln('Code by -=- MYTH -=-');
     writeln('Gfx by -=- KYP -=-');
     writeln('Music by -=- TU -=-');
end.